// JavaScript Document

//初始数据
$(function(){
// 加载数据

	//头部底部隐藏
	var prv=$.getUrlParam('prv');
	if(prv!=""){
		$("header").remove();
		$("footer").remove();
	}
	
	var sendData = new Object();
	sendData['cid'] = $.getUrlParam('i');
	sendData['prv'] = $.getUrlParam('prv');
	sendData['token'] = $.LS.get('token');
	sendData['timestamp'] =(new Date()).getTime();
	
	//alert(JSON.stringify(sendData));
	
	var ajaxUrl=ApiDomain+"/course/details/";
	
	$.ajax({
		type: 'GET',
		url: ajaxUrl,
		data:sendData,
		dataType : "jsonp",
		jsonpCallback:"jsonpback",
		timeout:15000, 
		beforeSend:function () {//ajax处理之前出现spin图标  
			//异步请求时spinner出现  
			$("#myspin").text("");  
			var target = $("#myspin").get(0);  
			spinner.spin(target);//显示loading图标  
			
			//隐藏数据
			$("footer").hide();
		}, 
		success: function(data){
				
				//discountlist
				disresult='';
				for(var i = 0; i < data.discountlist.length; i++){
					
					if(i==(data.discountlist.length-1)){
						$("#discountlist").html(data.discountlist[i].title+"&nbsp;<i class=\"fa fa-angle-down\" aria-hidden=\"true\"></i>");
					}
					
					disresult += data.discountlist[i].title;
					if(i<data.discountlist.length-1){
						disresult +=",";
					}

				}
				//红包列表
				disSelectLoad(disresult);
				
				//项目信息
				if(JSON.stringify(data.courseinfo)=="{}"){
					
					//提示
					layer.open({
						content: '该项目已售完或下架！'
						,skin: 'msg'
						,time: 1 //1秒后自动关闭
					});
							
					setTimeout(function () {
						window.parent.PageBack("pt-page-moveFromLeft");//返回上一页
					}, 1000);
					
					return;
				}else{
					
					//focusgraphs
					var pics=data.courseinfo.focusgraphs.split(",");
					var slideBox1result='';
					for(var j = 0; j < pics.length; j++){
						slideBox1result += '<li><img class="lazy" data-original="'+PhotoDomain+pics[j]+'"/></li>';
					}
					$('#slideBox1 ul').html(slideBox1result);
					
					if(pics.length>1){
						touchSlide("#slideBox1");
					}
					
					//coursedetails
					$("#courseitems").html(decodeUnicode(data.courseinfo.groupname)+" | "+decodeUnicode(data.courseinfo.itemname));
					$("#title").html(decodeUnicode(data.courseinfo.coursename));
					$("#brief").html(unescape(data.courseinfo.brief));
					//$("#course_introduce").html(unescape(data.courseinfo.introduce))
					//$("#notice").html(unescape(data.courseinfo.notice))
					
					if(!data.courseinfo.discount){
						$(".coupon").hide();
					}
					
					//课程介绍
					var courseintroduce=unescape(data.courseinfo.introduce);
					//var reg = new RegExp("<img src=","g");//g,表示全部替换。
					//courseintroduce=courseintroduce.replace(reg,"<img class=\"lazy\" data-original=");
					//正则替换img的src属性
					courseintroduce= courseintroduce.replace(/<img [^>]*src=['"]([^'"]+)[^>]*>/gi,function(match,capture){
					  //capture,返回每个匹配的字符串
					  var newStr='<img class=\"lazy\" data-original="'+PhotoDomain+capture+'"/>';
					  return newStr;
					});
					$("#course_introduce").html(courseintroduce);
					
					//报名须知
					var notice=unescape(data.courseinfo.notice);
					//var reg = new RegExp("<img src=","g");//g,表示全部替换。
					//notice=notice.replace(reg,"<img class=\"lazy\" data-original=");
					notice= notice.replace(/<img [^>]*src=['"]([^'"]+)[^>]*>/gi,function(match,capture){
					  //capture,返回每个匹配的字符串
					  var newStr='<img class=\"lazy\" data-original="'+PhotoDomain+capture+'"/>';
					  return newStr;
					});
					$("#notice").html(notice);
					
					//分享信息
					shareData["title"]=decodeUnicode(data.courseinfo.coursename);
					shareData["description"]=removeHTMLTag(unescape(data.courseinfo.brief)).substr(0,50);
					shareData["thumb"]=PhotoDomain+data.courseinfo.mastergraph;
					
					if (typeof($.LS.get('userinfo')) != "undefined"){
						//当前用户信息/转化为json对象
						var user=JSON.parse($.LS.get('userinfo'));
						shareData["webpageUrl"]=data.courseinfo.link+"&ru="+user.userid;
						
					}else{
						shareData["webpageUrl"]=data.courseinfo.link;
					}
					
					
					//海报
					if (data.courseinfo.courseposter != "") {

					    var ifrm = $("#ifr_pop");
					    ifrm.attr("src", "Pop.html");

					    setTimeout(function () {

					        ifrm.contents().find(".poster_img").html('<img src="' + PhotoDomain + data.courseinfo.courseposter + '"/>');
					        ifrm[0].contentWindow.qrcodecreate(shareData["webpageUrl"]);
					        $(".sharePoster").fadeIn();

					    }, 1000);
						
					}
					
				}
				
				//courseinfo
				var priceresult='';
				for(var i = 0; i < data.pricelist.length; i++){
					
					//显示初始值
					if(i==0){
						$(".price").html(data.pricelist[i].price);
						$(".units").html(data.pricelist[i].times+data.pricelist[i].units);
					}
					
					for(var j = 0; j < data.pricelist[i].coursetypelist.length; j++){
					
						priceresult+= '<li data-id="'+data.pricelist[i].coursetypelist[j].coursetypeid+'" data-describe="'+data.pricelist[i].coursetypelist[j].describe+'" data-priceid="'+data.pricelist[i].priceid+'"  data-price="'+data.pricelist[i].price+'" data-units="'+data.pricelist[i].times+data.pricelist[i].units+'"';
						
						//设置初始选项
						if(i==0 && j==0){
							priceresult+=' class="currentType"';
						}
						
						priceresult+='>'+data.pricelist[i].coursetypelist[j].typename+'</li>';
						
					}
				}
				priceresult+='<div class="clear"></div>';
				
				$("#coursetype").html(priceresult);
				//类型少于2个清除类型选择
				if($("#coursetype li").length<2){
					$("#coursetype").parent("section").hide();
				}
				
				//salesinfo
				for(var i = 0; i < data.saleslist.length; i++){
					var ids=data.saleslist[i].coursetypeid;
					var quantitys=data.saleslist[i].quantitys;
					var remainder=data.saleslist[i].remainder;
					
					var idsArr=ids.split(',');
					var quantitysArr=quantitys.split(',');
					var remainderArr=remainder.split(',');
					
					for(var j = 0; j < idsArr.length; j++){
						//alert(idsArr[j]);
						$(".coursetype li").each(function(){
							if($(this).attr("data-id")==idsArr[j]){
								$(this).attr("data-salesid",data.saleslist[i].salesid);
								$(this).attr("data-bargainprice",data.saleslist[i].bargainprice);
								$(this).attr("data-bquantity",quantitysArr[j]);
								$(this).attr("data-remainder",remainderArr[j]);
								$(this).attr("data-iscoupon",data.saleslist[i].iscoupon);
								$(this).attr("data-startime",data.saleslist[i].startime);
								$(this).attr("data-endtime",data.saleslist[i].endtime);
							}
						});
					}
				}
				//触发选择操作
				coursetypeClick();
				//默认选择第一个
				$(".coursetype li").eq(0).click();
				
				
				//帮助
				
				if(data.lorelist.length>0){
					
					lorelistresult='';
					
					for(var i = 0; i < data.lorelist.length; i++){
						
						lorelistresult+='<li><a class="winOpener" href="javascript:void(0);" data-url="'+data.lorelist[i].link+'">'+data.lorelist[i].title+'</a></li>';
					
					}
					
					$("#lore ul").html(lorelistresult);
				
				}
				
				//机构信息
				var organintroduce=unescape(data.organinfo.introduce);
				//var reg = new RegExp("<img src=","g");//g,表示全部替换。
				//organintroduce=organintroduce.replace(reg,"<img class=\"lazy\" data-original="+PhotoDomain);
				organintroduce= organintroduce.replace(/<img [^>]*src=['"]([^'"]+)[^>]*>/gi,function(match,capture){
				  //capture,返回每个匹配的字符串
				  var newStr='<img class=\"lazy\" data-original="'+PhotoDomain+capture+'"/>';
				  return newStr;
				});
				$("#organ_introduce").html(organintroduce);
				
				getData['orgid'] = data.organinfo.organid;
				
				//机构地址
				$("#address").html('<a class="winOpener" href="javascript:void(0);" data-url="ShowGeolocation.html?c='+data.organinfo.coordinate+'"><i class="fa fa-map-marker" aria-hidden="true"></i> '+data.organinfo.address+'</a>')
				
				//学员列表
				var userlist=data.userlist;
				if(userlist.length>0){
					userlistresult='';
					for(var i = 0; i < userlist.length; i++){
						
						//头像
						var iconPath="images/icon.png";
						if(userlist[i].wxheadicon!=""){
							iconPath=IconDomain+userlist[i].wxheadicon;
						}
						
						if(userlist[i].headicon!=""){
							iconPath=IconDomain+userlist[i].headicon;
						}
						
						userlistresult += '<li><img class="lazy" data-original="'+iconPath+'" /></li>';
						
					}
					$('#userlist').html(userlistresult);
				}
				
				//学员数量
				$("#usercount").html(data.usercount+'人参加过');
				
				//评价列表
				var evaluatelist=data.evaluatelist;
				if(evaluatelist.length>0){
					evaluatelistresult='';
					for(var i = 0; i < evaluatelist.length; i++){
						
						//头像
						var iconPath="images/icon.png";
						if(evaluatelist[i].userinfo.wxheadicon!=""){
							iconPath=IconDomain+evaluatelist[i].userinfo.wxheadicon;
						}
						
						if(evaluatelist[i].userinfo.headicon!=""){
							iconPath=IconDomain+evaluatelist[i].userinfo.headicon;
						}
			
						//昵称
						var nickName="";
						if(evaluatelist[i].userinfo.wxnickname!=""){
							nickName=evaluatelist[i].userinfo.wxnickname;
						}
						if(evaluatelist[i].userinfo.nickname!=""){
							nickName=evaluatelist[i].userinfo.nickname;
						}
						
						evaluatelistresult += '<img class="lazy" data-original="'+iconPath+'" />　<span>'+nickName+'</span><p>'+unescape(evaluatelist[i].evaluate)+'</p>';
					}
					$('#evaluatelist').html(evaluatelistresult);
				}else{
					$('#evaluatelist').html('暂无评论');
					$('#viewMore').hide();
				}
				
				//评价数量
				if(data.evaluatecount>0){
					$("#viewMore").html('<a class="winOpener" href="javascript:void(0);" data-url="Course_Comment.html?i='+$.getUrlParam("i")+'">查看全部评价('+data.evaluatecount+')</a>');
				}
				
				//是否收藏
				if(data.iscollection=="True"){
					$(".fa-star-o").attr("aria-checked","true");
					$(".fa-star-o").css("color","#F66");
					$(".fa-star-o").removeClass("fa-star-o").addClass("fa-star");
				}
				
				//hotline
				$("#hotline_title").html(data.hotline.title)
				$("#hotline_tel_show").html(data.hotline.tel)
				$("#hotline_txt").html(data.hotline.txt)
				$("#hotline_time").html(data.hotline.time)
				$("#hotline_tel").attr("href","tel:"+data.hotline.tel);
				
				//关闭spinner  
                spinner.spin();
				$("#myspin").hide();
				//移除头部
				$("header").eq(0).remove();
				//显示数据
				$("footer").show();
			
				//初始化操作
				baseAction();
				
				//懒加载
				lazyload();
				
		},
		complete : function(XMLHttpRequest,status){ //请求完成后最终执行参数
		
		
			if(status=='timeout' || status=='error'){//超时,status还有success,error等值的情况
				
				setTimeout(function(){
					//关闭spinner  
					spinner.spin();
					$("#myspin").html('<div class="load_error"><i class="fa fa-chain-broken fa-3" aria-hidden="true"></i><br/><br/>网络故障/点击加载</div>');
					
					//移除头部
					$("header").eq(0).remove();
					//alert('网络故障!');
					
					
					//点击加载
					$(".load_error").on("click",function(){
						var ifrsrc=$("iframe",window.parent.document).attr("src");
						$("iframe",window.parent.document).attr("src",ifrsrc);
					})
					
				},2000)
			}
		}
	});
				
})

function collection(H){
		
		var collectionData = new Object();
		collectionData['act'] = H;
		collectionData['token'] = $.LS.get('token');
		collectionData['cid'] = $.getUrlParam('i');
		collectionData['timestamp'] =(new Date()).getTime();
	
		var ajaxUrl=ApiDomain+"/collection/handle/";
		
		$.ajax({
			type: 'GET',
			url: ajaxUrl,
			data:collectionData,
			dataType : "jsonp",
			jsonpCallback:"jsonpback",
			timeout:15000, 
			success: function(data){
				//alert(JSON.stringify(data));
				
				if(data.result=="1"){
					
					var e=$(".collection i");
					if(e.attr("aria-checked")=="true"){
						e.attr("aria-checked","false")
						e.removeClass("fa-star").addClass("fa-star-o");
						e.css("color","#000");
					}else{
						e.attr("aria-checked","true")
						e.removeClass("fa-star-o").addClass("fa-star");
						e.css("color","#F66");
					}
					
				}else if(data.result=="0"){
					
					var openerUrl="Login.html";
					var openerAnimation="pt-page-moveToTop";
					PageLoad(openerAnimation,openerUrl);
					
				}

//				//提示
//				  layer.open({
//					content: '取消收藏'
//					,skin: 'msg'
//					,time: 2 //2秒后自动关闭
//				  });
			}
		})
}