// JavaScript Document

//初始数据
$(function(){
// 加载数据

	var sendData = new Object();
	sendData['newsid'] = $.getUrlParam('i');
	
	//var ajaxUrl="json/sales-base.json";
	var ajaxUrl=ApiDomain+"/news/details/";
	
	$.ajax({
		type: 'GET',
		url: ajaxUrl,
		data:sendData,
		dataType : "jsonp",
		jsonpCallback:"jsonpback",
		timeout:15000, 
		beforeSend:function () {//ajax处理之前出现spin图标  
			//异步请求时spinner出现  
			$("#myspin").text("");  
			var target = $("#myspin").get(0);  
			spinner.spin(target);//显示loading图标  
		}, 
		complete:function () {
			
			//关闭spinner 
			setTimeout(function(){
				spinner.spin();
				$("#myspin").hide();
			},500) 
		}, 
		success: function(data){
			
			if(typeof(data) == "undefined"){

				//提示
				layer.open({
					content: '网络异常！'
					,skin: 'msg'
					,time: 2 //2秒后自动关闭
				});
			  
				$("header .fa-chevron-left").parent("li").click();
				
			}else{
				
				$(".title").html(data.title);
				$(".sources").html(data.sources);
				$(".time").html(data.time);
				$(".contents").html(unescape(data.contents));
				$(".pageview").html(data.pageview);
				$(".thumbsup").html(data.thumbsup);
					
				//分享信息
				shareData["title"]=decodeUnicode(data.title);
				shareData["description"]=removeHTMLTag(unescape(data.contents)).substr(0,50);
				
				if(data.mastergraph!=""){
					shareData["thumb"]=PhotoDomain+data.mastergraph;
				}else{
					shareData["thumb"]="";
				}
				
				shareData["webpageUrl"]=data.link;
			}
				
		},
		error: function(xhr, type){
			//alert('Ajax error!');

			//提示
			layer.open({
				content: '网络异常！'
				,skin: 'msg'
				,time: 2 //2秒后自动关闭
			});
		  
			$("header .fa-chevron-left").parent("li").click();
		}
	});
				
})