// JavaScript Document

//初始数据
$(function(){
// 加载数据

	//头部底部隐藏
	var prv=$.getUrlParam('prv');
	if(prv!=""){
		$("header").remove();
		$("footer").remove();
		$(".organ").css("margin-top","0");
	}
	
	var sendData = new Object();
	sendData['id'] = $.getUrlParam('i');
	
	var ajaxUrl=ApiDomain+"/organ/details/";
	
	$.ajax({
		type: 'GET',
		url: ajaxUrl,
		data:sendData,
		dataType : "jsonp",
		jsonpCallback:"jsonpback",
		timeout:15000, 
		beforeSend:function () {//ajax处理之前出现spin图标  
			//异步请求时spinner出现  
			$("#myspin").text("");  
			var target = $("#myspin").get(0);  
			spinner.spin(target);//显示loading图标  
		}, 
		success: function(data){
			
			if(typeof(data) == "undefined"){

				//提示
				layer.open({
					content: '网络异常！'
					,skin: 'msg'
					,time: 2 //2秒后自动关闭
				});
			  
				$("header .fa-chevron-left").parent("li").click();
				
			}else{
				
				//机构名称
				$("#organname").html(data.organinfo.organname);
			
				//机构宣传图
				var pics=data.organinfo.pics.split(',');
				if(pics.length>0){
					picsresult='';
					for(var i = 0; i < pics.length; i++){
						picsresult += '<li><img class="lazy" data-original="'+PhotoDomain+pics[i]+'" /></li>';
					}
					$('#pics .bd ul').html(picsresult);
					
					if(pics.length>1){
						touchSlide("#pics");
					}
				}
				
				//机构介绍
				var introduce=unescape(data.organinfo.introduce);
				//var reg = new RegExp("<img src=","g");//g,表示全部替换。
				//introduce=introduce.replace(reg,"<img class=\"lazy\" data-original=");
				//正则替换img的src属性
				introduce= introduce.replace(/<img [^>]*src=['"]([^'"]+)[^>]*>/gi,function(match,capture){
				  //capture,返回每个匹配的字符串
				  var newStr='<img class=\"lazy\" data-original="'+PhotoDomain+capture+'"/>';
				  return newStr;
				});
				$("#introduce").html(introduce);
				
				//显示更多
				initAction(); 
					
				//分享信息
				shareData["title"]=data.organinfo.organname;
				shareData["description"]=removeHTMLTag(unescape(data.organinfo.introduce)).substr(0,50);
				shareData["thumb"]=PhotoDomain+data.organinfo.mastergraph;
				
				if (typeof($.LS.get('userinfo')) != "undefined"){
					//当前用户信息/转化为json对象
					var user=JSON.parse($.LS.get('userinfo'));
					shareData["webpageUrl"]=data.organinfo.link+"&u="+user.userid;
					
				}else{
					shareData["webpageUrl"]=data.organinfo.link;
				}
				
				//----------------------------------------------------

				//相关项目
				var courselist=data.courselist;
				if(courselist.length>0){
					courselistresult='';
					for(var i = 0; i < courselist.length; i++){
						
						courselistresult += '<li>\
												<a class="winOpener" href="javascript:void(0);" data-url="'+courselist[i].link+'">\
													<img src="'+PhotoDomain+courselist[i].pic+'">\
													<h4>\
														'+courselist[i].title+'\
														<p><span>￥'+courselist[i].price+'</span>'+courselist[i].times+courselist[i].units+'</p>\
													</h4>\
												</a>\
											</li>';
					}
					$('#courselist').append(courselistresult);
				}
				
				//机构地址
				$("#address").html('<a class="winOpener" href="javascript:void(0);" data-url="ShowGeolocation.html?c='+data.organinfo.coordinate+'"><i class="fa fa-map-marker" aria-hidden="true"></i> '+data.organinfo.address+'</a>')
				
				//学员列表
				var userlist=data.userlist;
				if(userlist.length>0){
					userlistresult='';
					for(var i = 0; i < userlist.length; i++){
						
						//头像
						var iconPath="images/icon.png";
						if(userlist[i].wxheadicon!=""){
							iconPath=IconDomain+userlist[i].wxheadicon;
						}
						
						if(userlist[i].headicon!=""){
							iconPath=IconDomain+userlist[i].headicon;
						}
						
						userlistresult += '<li><img class="lazy" data-original="'+iconPath+'" /></li>';
						
					}
					$('#userlist').html(userlistresult);
				}
				
				//学员数量
				$("#usercount").html(data.usercount+'人参加过');
				
//				//学员列表隐藏
//				if(data.usercount==0){
//					$("#usercount").parent("section").hide();
//				}
				
				//评价列表
				var evaluatelist=data.evaluatelist;
				if(evaluatelist.length>0){
					evaluatelistresult='';
					for(var i = 0; i < evaluatelist.length; i++){
						
						//头像
						var iconPath="images/icon.png";
						if(evaluatelist[i].userinfo.wxheadicon!=""){
							iconPath=IconDomain+evaluatelist[i].userinfo.wxheadicon;
						}
						
						if(evaluatelist[i].userinfo.headicon!=""){
							iconPath=IconDomain+evaluatelist[i].userinfo.headicon;
						}
			
						//昵称
						var nickName="";
						if(evaluatelist[i].userinfo.wxnickname!=""){
							nickName=evaluatelist[i].userinfo.wxnickname;
						}
						if(evaluatelist[i].userinfo.nickname!=""){
							nickName=evaluatelist[i].userinfo.nickname;
						}
						
						evaluatelistresult += '<img class="lazy" data-original="'+iconPath+'" />　<span>'+nickName+'</span><p>'+unescape(evaluatelist[i].evaluate)+'</p>';
					}
					$('#evaluatelist').html(evaluatelistresult);
				}else{
					$('#evaluatelist').html('暂无评论');
				}
				
				//评价数量
				if(data.evaluatecount>0){
					$("#viewMore").html('<a class="winOpener" href="javascript:void(0);" data-url="Organ_Comment.html?i='+$.getUrlParam('i')+'">查看全部评价('+data.evaluatecount+')</a>');
				}else{
					$("#viewMore").hide();
				}
			}
				
			//关闭spinner  
			spinner.spin();
			$("#myspin").hide();
			
			//初始化操作
			baseAction();
			
			//懒加载
			lazyload()
				
		},
		error: function(xhr, type){
			//alert('Ajax error!');

			//提示
			layer.open({
				content: '网络异常！'
				,skin: 'msg'
				,time: 2 //2秒后自动关闭
			});
		  
			$("header .fa-chevron-left").parent("li").click();
			
			//关闭spinner  
			spinner.spin();
			$("#myspin").hide();
		}
	});
				
})