// JavaScript Document

//引入blockUI插件
var head = document.head || document.getElementsByTagName("head")[0] || document.documentElement;
var printservice = document.createElement("script");
printservice.src ="js/jquery.blockUI.min.js";
head.insertBefore( printservice,head.firstChild );

//防止安卓手机弹起键盘时高度变为可见高度的问题
var screenHeight;
if (window.innerHeight){
	screenHeight = window.innerHeight;
} else if ((document.body) && (document.body.clientHeight)){
	screenHeight = document.body.clientHeight;
}
$("html,body").height(screenHeight);

//判断是否子页面
var isIfr=false;
if (self.frameElement && self.frameElement.tagName == 'IFRAME') {isIfr=true};

//获取接口路径
var Domain="https://www.cobaba.com/";//主站接口
var WxDomain="https://wx.cobaba.com/";//微站接口
var ApiDomain="https://xl1qlkbjkhyvpl6k.cobaba.com/";//数据接口
var InterfaceDomain="https://interface.cobaba.com/";//上传接口
var FileDomain="https://file.cobaba.com/";//附件接口主域名

//var ApiDomain="http://192.168.0.88:7070/";//数据接口

var PhotoDomain=FileDomain+"photo/";//照片接口主域名
var ThumbDomain=FileDomain+"thumb/";//缩略图接口主域名
var VideoDomain=FileDomain+"video/";//视频接口主域名
var IconDomain=FileDomain+"icon/";//头像接口主域
var systemDomain=FileDomain+"system/";//系统默认接口主域名
var PopDomain=FileDomain+"system/";//海报接口主域名

var RegionCode="region/2017/pca-code.json";//2017版行政区域
var LocalPath="Cobaba/Images/";//本地文件保存路径

//默认参数

/**初始城市**/
//var chooseLocality="上海市"
//var chooseLocalCode="310104"

var chooseLocality="台州市";
var chooseLocalCode="331002";


//初始进入
var initAct=true;

/**引导页图片组**/
var Bootpage=[{"pic":"images/v_1.jpg","link":""},{"pic":"images/v_2.jpg","link":""},{"pic":"images/v_3.jpg","link":""}];

if (typeof($.LS.get('ADid')) != "undefined"){
	initAct=false;
}

//获取url参数
(function($){
	
	$.getUrlParam = function(name)
	{
		//escape编码
		var reg = new RegExp("(^|&)"+ name +"=([^&]*)(&|$)");
		var r = window.location.search.substr(1).match(reg);
		if (r!=null) return unescape(r[2]); return '';
	}
	
	$.getUrlParamUri = function(name)
	{
		//decodeURI编码
		var reg = new RegExp("(^|&)"+ name +"=([^&]*)(&|$)");
		var r = window.location.search.substr(1).match(reg);
		if (r!=null) return decodeURI(r[2]); return '';
	}
	
})(jQuery);


//------------------page加载----------------------------

function PageLoad(S,U){
	//M页面主体部分；S动态样式；U加载页面
	
	var winWidth=$(window).width();
	var winHeight=$(window).height();
	
	$("hgroup").width(winWidth);
	$("#switchPage").width(winWidth);
	$("#switchPage").show();
		
	//homepageHeight=$("body").height();
	
	//------------------------------------
	
	$("hgroup article").eq(0).width(winWidth);
	$("hgroup").css("overflow","hidden");
	
	$("hgroup").height($(window).height());
	$("#switchPage").height($(window).height());
	$("#switchPage iframe").height($(window).height());
	
	$("hgroup article").eq(0).removeClass();
	$("#switchPage").removeClass();
	$("header").removeClass();
	$("footer").removeClass();
	
	if(S=="pt-page-moveToLeft"){
		$('#switchPage').css("top","0");
		$('#switchPage').css("left",winWidth);
	
		$("hgroup article").eq(0).addClass(S);
		$("header").addClass(S);
		$("footer").addClass(S);
		
	}else if(S=="pt-page-moveToRight"){
		$('#switchPage').css("top","0");
		$('#switchPage').css("left",-winWidth);
	
		$("hgroup article").eq(0).addClass(S);
		$("header").addClass(S);
		$("footer").addClass(S);
		
	}else if(S=="pt-page-moveToTop"){
		$('#switchPage').css("top","100%");
	}
	
	$("#switchPage").addClass(S);
	$('#switchPage iframe').attr("src",U);

		
	setTimeout(function () {
		//$("hgroup article").eq(0).hide();
		$("footer").hide();
		//$("hgroup").height($('#switchPage').height());
		//$("hgroup").css("overflow","visible");
		
	}, 600); 
	
	
	//锁屏
	showBlock();
	
	//解屏
	setTimeout(function () { 
	hideBlock();
	}, 600); 
}

function PageBack(S){
	$("hgroup").css("overflow","hidden");
	$("hgroup article").eq(0).show();
	$("footer").show();
	//$("hgroup article").eq(0).height(homepageHeight);
	
	$("hgroup article").eq(0).removeClass();
	$("#switchPage").removeClass();
	$("header").removeClass();
	$("footer").removeClass();
	
	if(S=="pt-page-moveFromLeft"){
		
		$("hgroup article").eq(0).addClass(S);
		$("header").addClass(S);
		$("footer").addClass(S);
		
	}else if(S=="pt-page-moveFromRight"){
		
		$("hgroup article").eq(0).addClass(S);
		$("header").addClass(S);
		$("footer").addClass(S);
		
	}
	
	$("#switchPage").addClass(S);

	setTimeout(function () { 
		$("#switchPage").hide();
		$("hgroup").css("overflow","visible");
	}, 600);
	
	setTimeout(function () { 
		$('#switchPage iframe').removeAttr("src");
		$('#switchPage iframe').removeAttr("style");
		$('#switchPage').removeClass();
		$('#switchPage').removeAttr("style");
		$("hgroup article").eq(0).removeClass();
		$("hgroup article").eq(0).removeAttr("style");
		$('header').removeClass();
		$('hgroup').removeAttr("style");
	}, 600); 
	
	//锁屏
	showBlock();
	
	//解屏
	setTimeout(function () { 
	hideBlock();
	}, 600); 
}

//-------------------div加载---------------------------
function divLoad(S,U){
	//S动态样式；U加载div
	
	var winWidth=$(window).width();
	var winHeight=$(window).height();
	
	$("hgroup").width(winWidth);
	$("#switchPage").width(winWidth);
	
	//------------------------------------
	
	$("hgroup article").eq(0).width(winWidth);
	
	$("hgroup").css("overflow","hidden");
	
	$('#switchPage').css("left",winWidth);
	$('#switchPage section').hide();
	$('#switchPage').show();
	$(U).show();
	
	$("hgroup article").eq(0).removeClass();
	$("#switchPage").removeClass();
	
	$("hgroup article").eq(0).addClass(S);
	$("#switchPage").addClass(S);
	
	setTimeout(function () {
		$("hgroup article").eq(0).hide();
	}, 600); 
}


function divBack(S){
	$("hgroup").css("overflow","hidden");
	$("hgroup article").eq(0).show();
	
	$("hgroup article").eq(0).removeClass();
	$("#switchPage").removeClass();
	
	$("hgroup article").eq(0).addClass(S);
	$("#switchPage").addClass(S);

	setTimeout(function () { 
		$('#switchPage').css("left","0");
		$("hgroup").css("overflow","visible");
		$('#switchPage section').hide();
	}, 600); 
}

//-------------------------------------------------------------------------------------------------------

/** * 对Date的扩展，将 Date 转化为指定格式的String * 月(M)、日(d)、12小时(h)、24小时(H)、分(m)、秒(s)、周(E)、季度(q)
    可以用 1-2 个占位符 * 年(y)可以用 1-4 个占位符，毫秒(S)只能用 1 个占位符(是 1-3 位的数字) * eg: 
 * (new Date()).pattern("yyyy-MM-dd hh:mm:ss.S")==> 2006-07-02 08:09:04.423      
 * (new Date()).pattern("yyyy-MM-dd E HH:mm:ss") ==> 2009-03-10 二 20:09:04      
 * (new Date()).pattern("yyyy-MM-dd EE hh:mm:ss") ==> 2009-03-10 周二 08:09:04      
 * (new Date()).pattern("yyyy-MM-dd EEE hh:mm:ss") ==> 2009-03-10 星期二 08:09:04      
 * (new Date()).pattern("yyyy-M-d h:m:s.S") ==> 2006-7-2 8:9:4.18      
 */        
Date.prototype.pattern=function(fmt) {         
    var o = {         
    "M+" : this.getMonth()+1, //月份         
    "d+" : this.getDate(), //日         
    "h+" : this.getHours()%12 == 0 ? 12 : this.getHours()%12, //小时         
    "H+" : this.getHours(), //小时         
    "m+" : this.getMinutes(), //分         
    "s+" : this.getSeconds(), //秒         
    "q+" : Math.floor((this.getMonth()+3)/3), //季度         
    "S" : this.getMilliseconds() //毫秒         
    };         
    var week = {         
    "0" : "/u65e5",         
    "1" : "/u4e00",         
    "2" : "/u4e8c",         
    "3" : "/u4e09",         
    "4" : "/u56db",         
    "5" : "/u4e94",         
    "6" : "/u516d"        
    };         
    if(/(y+)/.test(fmt)){         
        fmt=fmt.replace(RegExp.$1, (this.getFullYear()+"").substr(4 - RegExp.$1.length));         
    }         
    if(/(E+)/.test(fmt)){         
        fmt=fmt.replace(RegExp.$1, ((RegExp.$1.length>1) ? (RegExp.$1.length>2 ? "/u661f/u671f" : "/u5468") : "")+week[this.getDay()+""]);         
    }         
    for(var k in o){         
        if(new RegExp("("+ k +")").test(fmt)){         
            fmt = fmt.replace(RegExp.$1, (RegExp.$1.length==1) ? (o[k]) : (("00"+ o[k]).substr((""+ o[k]).length)));         
        }         
    }         
    return fmt;         
}

//倒计时
function countdown(obj,endtime){
	
    var time_start = new Date().getTime(); //设定当前时间
    var time_end =  new Date(endtime.replace(/-/g,'/')).getTime(); //设定目标时间
    // 计算时间差 
    var time_distance = time_end - time_start; 
	
	if(time_distance>=0){
		// 天
		var int_day = Math.floor(time_distance/86400000) 
		time_distance -= int_day * 86400000; 
		// 时
		var int_hour = Math.floor(time_distance/3600000) 
		time_distance -= int_hour * 3600000; 
		// 分
		var int_minute = Math.floor(time_distance/60000) 
		time_distance -= int_minute * 60000; 
		// 秒 
		var int_second = Math.floor(time_distance/1000) 
		// 时分秒为单数时、前面加零 
		if(int_day < 10){ 
			int_day = "0" + int_day; 
		} 
		if(int_hour < 10){ 
			int_hour = "0" + int_hour; 
		} 
		if(int_minute < 10){ 
			int_minute = "0" + int_minute; 
		} 
		if(int_second < 10){
			int_second = "0" + int_second; 
		} 
		// 显示时间 
		obj.children(".days").html(int_day); 
		obj.children(".hours").html(int_hour);
		obj.children(".minutes").html(int_minute);
		obj.children(".seconds").html(int_second);
		
		// 设置定时器
		setTimeout(function(){
			countdown(obj,endtime);
		},1000);
	
	}
}

//时间差
function timelag(obj,endtime){
	
    var time_start = new Date().getTime(); //设定当前时间
    var time_end =  new Date(endtime.replace(/-/g,'/')).getTime(); //设定目标时间
	
	// 计算时间差 
    var time_distance = time_start-time_end;
	
	if(time_distance>=0){
	
		// 天
		var int_day = Math.floor(time_distance/86400000) 
		time_distance -= int_day * 86400000; 
		// 时
		var int_hour = Math.floor(time_distance/3600000) 
		time_distance -= int_hour * 3600000; 
		// 分
		var int_minute = Math.floor(time_distance/60000) 
		time_distance -= int_minute * 60000; 
		// 秒 
		var int_second = Math.floor(time_distance/1000) 
		
		//显示时间
		if(int_day >0){
			if(int_day >365){
				obj.html((new Date(endtime)).pattern("yyyy年M月d日")); 
			}else if(int_day >31){
				obj.html((new Date(endtime)).pattern("M月d日")); 
			}else{
				obj.html(int_day+"天前"); 
			}
		}else{
			if(int_hour > 0){ 
				obj.html(int_hour+"小时前"); 
			} else{
				if(int_minute > 0){ 
					obj.html(int_minute+"分钟前"); 
				} else{
					if(int_second > 0){ 
						obj.html(int_second+"秒前"); 
					}else{
						obj.html("刚刚"); 
					} 
				}
			}
		}
	
	}else{
		obj.html("刚刚"); 
	}
}

// 转为unicode 编码  
function encodeUnicode(str) {  
    var res = [];  
    for ( var i=0; i<str.length; i++ ) {  
    res[i] = ( "00" + str.charCodeAt(i).toString(16) ).slice(-4);  
    }  
    return "\\u" + res.join("\\u");  
}  
  
// unicode解码  
function decodeUnicode(str) {  
    str = str.replace(/\\/g, "%");  
    return unescape(str);  
}  

//HTML编码
function HtmlEncode(str) { 
var t = document.createElement("div"); 
t.textContent ? t.textContent = str : t.innerText = str; 
return t.innerHTML; 
} 

//HTML解码
function HtmlDecode(str) { 
var t = document.createElement("div"); 
t.innerHTML = str; 
return t.innerText || t.textContent 
} 

//判断时间是否过期
//如果过期返回true
function judgeTime(time){
	var strtime = time.replace("/-/g", "/");//时间转换
	//时间
	var date1=new Date(strtime);
	//现在时间
	var date2=new Date();
	//判断时间是否过期
	return date1<date2?true:false;
}

//JSON转URL参数
//var obj = {name: 'zhangsan',age: 100};
//parseParams(obj); //"name=zhangsan&age=100"
function parseParams(data) {
    try {
        var tempArr = [];
        for (var i in data) {
            var key = encodeURIComponent(i);
            var value = encodeURIComponent(data[i]);
            tempArr.push(key + '=' + value);
        }
        var urlParamsStr = tempArr.join('&');
        return urlParamsStr;
    } catch (err) {
        return '';
    }
}


//URL参数转JSON
//var urlStr = 'http://www.xxx.com/test?name=zhangshan&age=100#hello';
//getParams(urlStr); //{name: "zhangshan", age: "100"}
function getParams(url) {
    try {
        var index = url.indexOf('?');
        url = url.match(/\?([^#]+)/)[1];
        var obj = {}, arr = url.split('&');
        for (var i = 0; i < arr.length; i++) {
            var subArr = arr[i].split('=');
            obj[subArr[0]] = subArr[1];
        }
        return obj;

    } catch (err) {
        return null;
    }
}
//过滤HTML标签
function removeHTMLTag(str) {
    str = str.replace(/<\/?[^>]*>/g, ''); //去除HTML tag
    str = str.replace(/[ | ]*\n/g, '\n'); //去除行尾空白
    //str = str.replace(/\n[\s| | ]*\r/g,'\n'); //去除多余空行
    str = str.replace(/ /ig, ''); //去掉 
    return str;
}

//提醒框//多层级使用
function layerAlert(info){

	//提示
	layer.open({
		content: info
		,skin: 'msg'
		,time: 1 //1秒后自动关闭
	});
}

////IphoneX适配
//$(function(){
//	
//	if($("header:first").css("padding-top")=="25px"){
//		
//		if($(".mescroll").length==0){
//		
//			$("header:first").next().css("padding-top",parseFloat($("header:first").next().css("padding-top"))+parseFloat($("header:first").css("padding-top")));
//		
//		}
//	}
//})


////IphoneX适配
isIPhoneX();
function isIPhoneX(fn){
    var u = navigator.userAgent;
    var isIOS = !!u.match(/\(i[^;]+;( U;)? CPU.+Mac OS X/); //ios终端
    if (isIOS) {
        if (screen.height == 812 && screen.width == 375){
            //是iphoneX
            $('meta[name="viewport"]').attr('content',"initial-scale=1.0, minimum-scale=1.0, maximum-scale=1.0, user-scalable=0, width=device-width, viewport-fit=cover" );
        }else{
            //不是iphoneX
          $('meta[name="viewport"]').attr('content',"initial-scale=1.0, minimum-scale=1.0, maximum-scale=1.0, user-scalable=0, width=device-width" );
        }
    }
}

function showBlock(){
	$.blockUI({ message: null,overlayCSS:{opacity:0}});//锁屏
}

function hideBlock(){   
	$.unblockUI(); //解屏  
}

//禁用click
$(document).click(function() {
	
	$("html").css("pointer-events","none");
	
	setTimeout(function () {
		$("html").css("pointer-events","auto");
	}, 600);
	
});