// JavaScript Document

var imgsdata;//图片路径集合

//上传地址
var transferUrl=InterfaceDomain+'/file-transfer/'; //用于文件上传的服务器端请求地址

//存储图片二进制流
var ImageFileList = new Array();

//拍照
function photoCapture(objclass) {
 
	var destinationType=navigator.camera.DestinationType;

	//拍照并获取Base64编码的图像（quality : 存储图像的质量，范围是[0,100]）
	navigator.camera.getPicture(onPhotoDataSuccess, onFail, {
		quality: 90,
		destinationType: destinationType.FILE_URI //返回类型：DATA_URL= 0，返回作为 base64 編碼字串。 FILE_URI=1，返回影像档的 URI。NATIVE_URI=2，返回图像本机URI (例如，資產庫)
		,correctOrientation:true //IOS下图片旋转问题
		}
	);

	//拍照成功
	function onPhotoDataSuccess(imageURL) {
		
		//图片路径集合
		imgsdata=imageURL;
			
		//imgsdata 图片路径集合
		imglist=imgsdata.split(",");//图片路径集合数组
		
		var i=0;
		var mediaType="image/jpeg";

		///存储图片二进制流-上传图片
		readerFile(imglist,mediaType,i,objclass);
		
		//----------------------------------------
		
		//定义容器
		//var imgContainer = $(".myicon ul li").eq(index).find("div");
		
		// 创建对象
		//var img = new Image();
		//img.src = imageURL;
		//img.width = 300;
		//imgContainer.html(img);
		
		//IframeFind($(document),"."+objclass,"html",img);
		//IframeFind($(document),null,"copy","{\"objclass\":\""+objclass+"\",\"imageURL\":\""+imageURL+"\"}");
	}
	
	//拍照失败
	function onFail(message) {
		//alert('拍照失败: ' + message);
		
		//提示
		IframeFind($(document),null,"layer","拍照失败");
	}

}

//选择视频/图片
function mediaPicker(objclass){
	
	var args = {
		'selectMode': 100, //101=picker image and video , 100=image , 102=video
		'maxSelectCount': 1, //default 40 (Optional)
		'maxSelectSize': 10485760, //1048576=1M (Optional) 最大不超过10M
	};

	MediaPicker.getMedias(args, function(medias) {
		//medias [{"path":"/storage/emulated/0/DCIM/Camera/20170808_145202.jpg","index":0,"uri":"/storage/emulated/0/DCIM/Camera/20170808_145202.jpg","mediaType": "image","name":"20170808_145202.jpg","size": "21993"}]

			//选择图片
			
			//图片路径集合
			imgsdata=medias[0].path;
			
			//imgsdata 图片路径集合
  			imglist=imgsdata.split(",");//图片路径集合数组
			
			var i=0;
			var mediaType="image/jpeg";
			
			
			///存储图片二进制流-上传图片
			readerFile(imglist,mediaType,i,objclass);
			
		
			//----------------------------------------
			
			//定义容器
			//var imgContainer = $(".myicon ul li").eq(index).find("div");
			//imgContainer.innerHTML = "";
			
//			for (var i = 0; i < medias.length; i++) {
//				var x = medias[i].path;
//				(function (x) {
//					
//					// 创建对象
//					var img = new Image();
//					img.src = x;
//					img.width = 300;
//					//imgContainer.html(img);
//
//					IframeFind($(document),"."+objclass,"html",img);
//					
//				})(x)
//			}
				
		//getThumbnail(medias);
	}, function(e) { console.log(e) })
};

//存储媒体文件二进制流
function readerFile(imglist,mediaType,i,Genre) {
	
	//初始化图片列表
	ImageFileList = new Array();
		
	if(imglist[i].indexOf("file://")!=-1){
		imageURI=imglist[i];
	}else{
		imageURI="file://"+imglist[i];
	} 
	
	window.resolveLocalFileSystemURL(imageURI, function(fileEntry) {
		fileEntry.file(function(file) {
			var reader = new FileReader();
			reader.onloadend = function(e) {
				var the_file = new Blob([e.target.result ], { type: mediaType} );
				//存储图片二进制流
				ImageFileList.push(the_file);
				//存储图片地址用于预览
				//$scope.ImageURIList.push(imageURI);
			
				if(i<imglist.length-1){
					i++;
					readerFile(imglist,mediaType,i);
					
				}else if(i==imglist.length-1){

					//循环结束 异步上传
					updataAjax(mediaType,Genre);
				}
			};
			reader.readAsArrayBuffer(file);
			
		}, function(e){console.log(e)});
	}, function(e){console.log(e)});
}

		
//异步上传操作 MIME:类型；Genre：图片类别
function updataAjax(MIME,Genre){
	
//	alert(MIME);
//	alert(ImageFileList.toString());
	
	var fileSuffix="jpg";
	var fileType="icon"
	
	var formData = new FormData();
	for(var i=0; i < ImageFileList.length; i++){
		formData.append("files",ImageFileList[i],i+"."+fileSuffix);
	}

	//以下是表单参数
	formData.append("type", fileType);
	formData.append("TimeStamp", new Date().getTime());
	formData.append("col", "icon");
	formData.append("ge", Genre);
	
	if(typeof($.LS.get('token'))!="undefined"){
		formData.append("token",$.LS.get('token'));
	}
	
	$.ajax({
		url: transferUrl,
		type: 'POST',
		data: formData,
		processData: false,
		contentType: false,
		timeout:60000,// 设置超时的时间60s
		beforeSend: function(){
			//异步请求时spinner出现
			IframeFind($(document),null,"spin","show");
		},
		success: function (responseStr) {
			
			//alert(responseStr);
			
			//本地存储记录
			$.LS.set(Genre, "{\"filePath\":\""+imageURI+"\",\"fileUrl\":\""+responseStr.FileUrl+"\"}");
			
			//后续操作
			IframeFind($(document),null,"complete","{\"imageURI\":\""+imageURI+"\",\"Genre\":\""+Genre+"\"}");
			
			//提示
			IframeFind($(document),null,"layer","上传成功");
			
			//关闭spinner  
			IframeFind($(document),null,"spin","hide");

		},
		complete : function(XMLHttpRequest,status){ //请求完成后最终执行参数
			if(status=='timeout'){//超时,status还有success,error等值的情况
				ajaxTimeOut.abort(); //取消请求
				
				//提示
				IframeFind($(document),null,"layer","超时");
				
				//关闭spinner  
				IframeFind($(document),null,"spin","hide");
			}
		},
		error: function (responseStr) {
			
			//提示
			IframeFind($(document),null,"layer","上传失败");
			
			//关闭spinner  
			IframeFind($(document),null,"spin","hide");
		}
	})

}


//-------------------海报制作-------------------

//拍照
function photoCapture_pop() {
 
	var destinationType=navigator.camera.DestinationType;

	//拍照并获取Base64编码的图像（quality : 存储图像的质量，范围是[0,100]）
	navigator.camera.getPicture(onPhotoDataSuccess, onFail, {
		quality: 90,
		destinationType: destinationType.FILE_URI //返回类型：DATA_URL= 0，返回作为 base64 編碼字串。 FILE_URI=1，返回影像档的 URI。NATIVE_URI=2，返回图像本机URI (例如，資產庫)
		,correctOrientation:true //IOS下图片旋转问题
		}
	);

	//拍照成功
	function onPhotoDataSuccess(imageURL) {
		
		//后续操作
		IframeFind($(document),null,"complete","{\"imageURL\":\""+imageURL+"\"}");
	}
	
	//拍照失败
	function onFail(message) {
		//alert('拍照失败: ' + message);
		
		//提示
		IframeFind($(document),null,"layer","拍照失败");
	}

}

//选择视频/图片
function mediaPicker_pop(){
	
	var args = {
		'selectMode': 100, //101=picker image and video , 100=image , 102=video
		'maxSelectCount': 1, //default 40 (Optional)
		'maxSelectSize': 10485760, //1048576=1M (Optional) 最大不超过10M
	};

	MediaPicker.getMedias(args, function(medias) {
		//medias [{"path":"/storage/emulated/0/DCIM/Camera/20170808_145202.jpg","index":0,"uri":"/storage/emulated/0/DCIM/Camera/20170808_145202.jpg","mediaType": "image","name":"20170808_145202.jpg","size": "21993"}]
		
		//图片路径
		imageURL=medias[0].path;
			
		//后续操作
		IframeFind($(document),null,"complete","{\"imageURL\":\""+imageURL+"\"}");
			
	}, function(e) { console.log(e) })
};

//播放本地视频
//videoUrl:视频地址;verticalScreen：横屏还是竖屏播放
function videoPlay(videoUrl,verticalScreen) {
	
	if(!verticalScreen){ //不存在 
		verticalScreen='portrait';
	}
	
	//alert("videoUrl="+videoUrl+";verticalScreen="+verticalScreen);
	
	//播放本地视频
	// Just play a video
	//window.plugins.streamingMedia.playVideo(videoUrl);
	
	// Play a video with callbacks
	var options = {
		successCallback: function() {
		  //console.log("Video was closed without error.");
		},
		errorCallback: function(errMsg) {
			
				//提示
				layer.open({
					content: '视频加载失败!'
					,skin: 'msg'
					,time: 1 //1秒后自动关闭
				});
				
		  //alert("Error! " + errMsg);
		},
		//orientation: verticalScreen,//竖屏：portrait；横屏landscape：
		shouldAutoClose: true,  // true(default)/false
		controls: true // true(default)/false. Used to hide controls on fullscreen
	};
	window.plugins.streamingMedia.playVideo(videoUrl, options);
		
}