// JavaScript Document

//初始数据
$(function(){
	
	// 加载数据
	var ajaxUrl=ApiDomain+"/index/city/";
	
	$.ajax({
		type: 'GET',
		url: ajaxUrl,
		dataType : "jsonp",
		jsonpCallback:"jsonpback",
		async: true,
		beforeSend:function () {//ajax处理之前出现spin图标  
			//异步请求时spinner出现  
			$("#myspin").text("");  
			var target = $("#myspin").get(0);  
			spinner.spin(target);//显示loading图标  
		}, 
		success: function(data){
			
				//citylist
				citylistresult='';
				for(var i = 0; i < data.length; i++){
					citylistresult += '<li data-name="'+data[i].name+'" data-code="'+data[i].code+'">'+' <i class=\"fa fa-angle-right\" aria-hidden=\"true\"></i>'+data[i].name+'</li>';
				}

				$('.citylist').html(citylistresult);
				
				DistrictSelectClick($(".citylist li"));
				
				//关闭spinner  
                spinner.spin();
				$("#myspin").hide();
				$(".myspin_header header").hide();
				
		},
		error: function(xhr, type){
			//alert('Ajax error!');

			//提示
			  layer.open({
				content: '网络异常！'
				,skin: 'msg'
				,time: 2 //2秒后自动关闭
			  });
			
			return false;
		}
	});
	
})