// JavaScript Document

var timerState=false;//定时器状态
var submitState = false;//提交状态
var keyRandom;
var randomKey;

var ligonUrl=ApiDomain+"user/login/";//用户登录/注册api接口
var bindUrl=ApiDomain+"user/wechat/";//微信绑定api接口
var verifyUrl=ApiDomain+"user/VerifyCode.ashx";//验证码api接口

$(function(){
	//初始加载
	$.ajax({
		url: ligonUrl,
		timeout : 20000, //超时时间设置，单位毫秒
		type: 'post',
		dataType: 'jsonp',
		jsonpCallback:"jsonpback",
		async: true,
		success:function(data){
			randomKey=data.RandomKey;
			
			//alert(randomKey);
		},
		error:function(){
		}
	});
})

$(function(){
	
	//输入框输入时模拟placeholder效果
   	var oInput = $("hgroup ul li input");
   	oInput.focus(function () {
		$(this).siblings("label").find("span").hide();
    });
   	oInput.blur(function () {
		if($(this).val()==""){
			$(this).siblings("label").find("span").show();
		}
	});
	
	//按退格直接清空文本框
//	$("input").on("keydown", function (e) {
//		var e = e ? e : window.event;
//		var key = e.which || e.keyCode;
//		if (key == 8) {
//		e.preventDefault();
//		e.stopPropagation();
//		$(this).val('');
//		}
//	});

	//手机验证码发送
	$(document).on("click",".button-sms-send",function(){
		smsSend($(this));
	});
	
	//登录操作
	$(".button-submit").click(function(){
		
		
		var act=$(this).attr("data-act");
		
		if(typeof(randomKey) == "undefined"){

			//提示
			  layer.open({
				content: '网络异常！'
				,skin: 'msg'
				,time: 800 //0.5秒后自动刷新
			  });
			  
			setTimeout(function(){
				//location.reload();
				$("hgroup header .fa-times").parent().click();
			},"800");
			
			window.parent.LoginStateAct(0);//触发父页面方法
			
		}else{
			submitState = true;
		}
		
		if(act=="login"){
		
			checkPhone($("#mobile-input").val());
			
			if(submitState){
				checkPass($("#pass-input").val());
			}
			
			if(submitState){
	//		
	//			var act=$(this).attr("data-act");
	//			var u=$("#mobile-input").val();
	//			var p=$("#pass-input").val();
				
				var data = [];
				data['u'] = $("#mobile-input").val();
				data['p'] = $("#pass-input").val();
				
				var encrypt = new JSEncrypt();
				encrypt.setPublicKey(randomKey);
				// ajax请求发送的数据对象
				var sendData = new Object();
				sendData["act"]=$(this).attr("data-act");
				sendData['timestamp'] =(new Date()).getTime();
				sendData["r"]=keyRandom;
				// 将data数组赋给ajax对象
				for (var key in data) {
					sendData[key] = encodeURI(encrypt.encrypt(data[key])).replace(/\+/g, '%2B');////+号的处理：因为数据在网络上传输时，非字母数字字符都将被替换成百分号（%）后跟两位十六进制数，而base64编码在传输到后端的时候，+会变成空格，因此先替换掉。后端再替换回来
				}
				
				$.ajax({
					url: ligonUrl,
					type: 'get',
					dataType: 'jsonp',
					jsonpCallback:"jsonpback",
					async: true,
					data: sendData,
					beforeSend: function () {
						//异步请求时spinner出现  
						$("#myspin").text("");  
						var target = $("#myspin").get(0);  
						spinner.spin(target);//显示loading图标  
					},
					success:function(data){
						
						//alert(JSON.stringify(sendData));
						//alert(JSON.stringify(data));
						//alert(JSON.stringify(data.userinfo));
	
						if (data.returnCode == '1') {
							
							$.LS.set('token',data.token);
							$.LS.set('userinfo',JSON.stringify(data.userinfo));//保存为json格式字符串	

							//判断头标是否存在
							if(data.userinfo.headicon!=""){
								
								if( typeof window.parent.checkImage == 'function' ){
									window.parent.checkImage("icon.png",IconDomain+data.userinfo.headicon,true,true,"icon");
								}
							}
							
							//判断头部背景是否存在
							if(data.userinfo.headbackground!=""){
								
								//判断是否为系统图片
								if(data.userinfo.headbackground.indexOf("local://") >= 0 ) { 
								
									//本地存储记录
									$.LS.set("backcloth", "{\"filePath\":\""+data.userinfo.headbackground.replace('local://','')+"\",\"fileUrl\":\"\"}");
									
								}else{
									if( typeof window.parent.checkImage == 'function' ){
										window.parent.checkImage("backcloth.png",IconDomain+data.userinfo.headbackground,true,true,"backcloth");
									}
								}
							}
							
							setTimeout(function () { 
							
//								//当前用户头像信息/转化为json对象
//								if(typeof($.LS.get('icon')) == "undefined"){
//									//本地存储记录
//									$.LS.set("icon", "{\"filePath\":\""+IconDomain+user.headicon+"\",\"fileUrl\":\""+IconDomain+user.headicon+"\"}");
//								}
							
								window.parent.PageBack("pt-page-moveFromTop");//关闭页面
								window.parent.LoginStateAct(1);//触发父页面方法
							
							}, 500);
							
	//						setTimeout(function () { 
	//							window.parent.location.reload();//刷新父页面
	//						}, 600);
							
						}else if(data.returnCode == '0') {
							
							//提示
							  layer.open({
								content: '账号或密码为空！'
								,skin: 'msg'
								,time: 2 //2秒后自动关闭
							  });
							  
							return false;
							
						}else if(data.returnCode == '-2') {
							
							//提示
							  layer.open({
								content: '异常操作！'
								,skin: 'msg'
								,time: 2 //2秒后自动关闭
							  });
							  
							return false;
						}else{
							
							//提示
							  layer.open({
								content: '账号或密码有误！'
								,skin: 'msg'
								,time: 2 //2秒后自动关闭
							  });
							  
							return false;
						}
					},
					complete: function () {
						//关闭spinner  
						spinner.spin();
						$("#myspin").hide();
						$(".myspin_header header").hide();
					 },
					error:function(){
							
							//提示
							  layer.open({
								content: '网络异常！'
								,skin: 'msg'
								,time: 2 //2秒后自动关闭
							  });
					}
				});
			}
			
		}else if(act=="bind"){
		
			checkPhone($("#mobile-input-b").val());
			
			if(submitState){
				checkPass($("#pass-input-b").val());
			}
			
			if(submitState){
	//		
	//			var act=$(this).attr("data-act");
	//			var u=$("#mobile-input").val();
	//			var p=$("#pass-input").val();
				
				var data = [];
				data['u'] = $("#mobile-input-b").val();
				data['p'] = $("#pass-input-b").val();
				
				var encrypt = new JSEncrypt();
				encrypt.setPublicKey(randomKey);
				// ajax请求发送的数据对象
				var sendData = new Object();
				sendData["act"]=$(this).attr("data-act");
				sendData["r"]=keyRandom;
				sendData["wxtoken"]=$.LS.get('wxtoken');
				sendData['timestamp'] =(new Date()).getTime();
				// 将data数组赋给ajax对象
				for (var key in data) {
					sendData[key] = encodeURI(encrypt.encrypt(data[key])).replace(/\+/g, '%2B');////+号的处理：因为数据在网络上传输时，非字母数字字符都将被替换成百分号（%）后跟两位十六进制数，而base64编码在传输到后端的时候，+会变成空格，因此先替换掉。后端再替换回来
				}
				
				
				//alert(JSON.stringify(sendData));
				
				$.ajax({
					url: bindUrl,
					type: 'get',
					dataType: 'jsonp',
					jsonpCallback:"jsonpback",
					async: true,
					data: sendData,
					beforeSend: function () {
						//异步请求时spinner出现  
						$("#myspin").text("");  
						var target = $("#myspin").get(0);  
						spinner.spin(target);//显示loading图标  
					},
					success:function(data){
						
						//alert(JSON.stringify(sendData));
						//alert(JSON.stringify(data));
	
						if (data.returnCode == '1') {
							
							if(data.result == 'ok'){
							
								$.LS.set('token',data.token);
								$.LS.set('userinfo',JSON.stringify(data.userinfo));//保存为json格式字符串

								//判断头标是否存在
								if(data.userinfo.headicon!=""){
									
									if( typeof window.parent.checkImage == 'function' ){
										window.parent.checkImage("icon.png",IconDomain+data.userinfo.headicon,true,true,"icon");
									}
								}
								
								//判断头部背景是否存在
								if(data.userinfo.headbackground!=""){
								
									//判断是否为系统图片
									if(data.userinfo.headbackground.indexOf("local://") >= 0 ) { 
									
										//本地存储记录
										$.LS.set("backcloth", "{\"filePath\":\""+data.userinfo.headbackground.replace('local://','')+"\",\"fileUrl\":\"\"}");
										
									}else{
										
										if( typeof window.parent.checkImage == 'function' ){
											window.parent.checkImage("backcloth.png",IconDomain+data.userinfo.headbackground,true,true,"backcloth");
										}
									}
								}
								
								$.LS.remove("wxtoken");//移除wxtoken缓存
								
								setTimeout(function () { 
								
									window.parent.PageBack("pt-page-moveFromTop");//关闭页面
									window.parent.LoginStateAct(2);//触发父页面方法
								
								}, 500);
							
							}else{
							
								//提示
								  layer.open({
									content: '网络异常！'
									,skin: 'msg'
									,time: 2 //2秒后自动关闭
								  });
								  
								return false;
							}
							

						}else if(data.returnCode == '-1') {
							
//							//提示
//							  layer.open({
//								content: '账号或密码有误！'
//								,skin: 'msg'
//								,time: 2 //2秒后自动关闭
//							  });
//							  
//							return false;
							
							
							//点击确定后操作
							$.confirm({
								title: '提示',
								content: '账号/密码有误 或 账号不存在<br>是否新注册账号?',
								confirmButton: ' 是 ',
								cancelButton: ' 否 ',
								theme: 'black',
								confirm: function () {
									
									//渐隐
									$("#bind").fadeOut();
									
									//渐现
									$("#reg").fadeIn();
									pagePlateIniti("#reg");
								}
//									cancel: function () {
//										//$.alert('Canceled!');
//									}
							});
							
						}else{
							
							//提示
							  layer.open({
								content: '网络异常！'
								,skin: 'msg'
								,time: 2 //2秒后自动关闭
							  });
							  
							return false;
						}
					},
					complete: function () {
						//关闭spinner  
						spinner.spin();
						$("#myspin").hide();
						$(".myspin_header header").hide();
					 },
					error:function(){
							
							//提示
							  layer.open({
								content: '网络异常！'
								,skin: 'msg'
								,time: 2 //2秒后自动关闭
							  });
					}
				});
			}
		}else if(act=="reg"){
		
			checkPhone($("#mobile-input-r").val());
			
			if(submitState){
				checkPass($("#pass-input-r").val());
			}
			
			if(submitState){
				checkCode($("#code-input-r").val());
			}
			
			if(submitState){
	//		
	//			var act=$(this).attr("data-act");
	//			var u=$("#mobile-input").val();
	//			var p=$("#pass-input").val();
				
				var data = [];
				data['u'] = $("#mobile-input-r").val();
				data['p'] = $("#pass-input-r").val();
				
				var encrypt = new JSEncrypt();
				encrypt.setPublicKey(randomKey);
				// ajax请求发送的数据对象
				var sendData = new Object();
				sendData["act"]=$(this).attr("data-act");
				sendData['code'] = $("#code-input-r").val();
				
				if(typeof($.LS.get('wxtoken'))!="undefined"){
					sendData['wxtoken'] = $.LS.get('wxtoken');
				}
				
				if(typeof($.LS.get('districtcode'))!="undefined"){
					sendData['regincode'] = $.LS.get('districtcode');
				}
				
				sendData['timestamp'] =(new Date()).getTime();
				// 将data数组赋给ajax对象
				for (var key in data) {
					sendData[key] = encodeURI(encrypt.encrypt(data[key])).replace(/\+/g, '%2B');////+号的处理：因为数据在网络上传输时，非字母数字字符都将被替换成百分号（%）后跟两位十六进制数，而base64编码在传输到后端的时候，+会变成空格，因此先替换掉。后端再替换回来
				}
				
				
				//alert(JSON.stringify(sendData));
				//return false;
				
				$.ajax({
					url: ligonUrl,
					type: 'get',
					dataType: 'jsonp',
					jsonpCallback:"jsonpback",
					async: true,
					data: sendData,
					beforeSend: function () {
						//异步请求时spinner出现  
						$("#myspin").text("");  
						var target = $("#myspin").get(0);  
						spinner.spin(target);//显示loading图标  
					},
					success:function(data){
						
						//alert(JSON.stringify(sendData));
						//alert(JSON.stringify(data));
	
						if (data.returnCode == '1') {
							
							//提示
							  layer.open({
								content: '账号注册成功，请及时完善个人资料！'
								,skin: 'msg'
								,time: 3 //2秒后自动关闭
							  });
							
							$.LS.set('token',data.token);
							$.LS.set('userinfo',JSON.stringify(data.userinfo));//保存为json格式字符串	

							//判断头标是否存在
							if(data.userinfo.headicon!=""){
								
								if( typeof window.parent.checkImage == 'function' ){
									window.parent.checkImage("icon.png",IconDomain+data.userinfo.headicon,true,true,"icon");
								}
							}
							
							//判断头部背景是否存在
							if(data.userinfo.headbackground!=""){
								
								//判断是否为系统图片
								if(data.userinfo.headbackground.indexOf("local://") >= 0 ) { 
								
									//本地存储记录
									$.LS.set("backcloth", "{\"filePath\":\""+data.userinfo.headbackground.replace('local://','')+"\",\"fileUrl\":\"\"}");
									
								}else{
									
									if( typeof window.parent.checkImage == 'function' ){
										window.parent.checkImage("backcloth.png",IconDomain+data.userinfo.headbackground,true,true,"backcloth");
									}
								}
							}
							
							if(typeof($.LS.get('wxtoken'))!="undefined"){
								$.LS.remove("wxtoken");//移除wxtoken缓存
							}
							
							setTimeout(function () { 
							
								window.parent.PageBack("pt-page-moveFromTop");//关闭页面
								window.parent.LoginStateAct(1);//触发父页面方法
							
							}, 500);
							
						}else if(data.returnCode == '0') {
							
							//提示
							  layer.open({
								content: '账号或密码输入有误！'
								,skin: 'msg'
								,time: 2 //2秒后自动关闭
							  });
							  
							return false;
							
						}else if(data.returnCode == '-2') {
							
							//提示
							  layer.open({
								content: '异常操作！'
								,skin: 'msg'
								,time: 2 //2秒后自动关闭
							  });
							  
							return false;
						}else if(data.returnCode == '-3') {
							
							//提示
							  layer.open({
								content: '该手机号码已注册！'
								,skin: 'msg'
								,time: 2 //2秒后自动关闭
							  });
							  
							return false;
						}else if(data.returnCode == '-4') {
							
							//提示
							  layer.open({
								content: '验证码有误！'
								,skin: 'msg'
								,time: 2 //2秒后自动关闭
							  });
							  
							return false;
						}else{
							
							//提示
							  layer.open({
								content: '网络异常！'
								,skin: 'msg'
								,time: 2 //2秒后自动关闭
							  });
							  
							return false;
						}
					},
					complete: function () {
						//关闭spinner  
						spinner.spin();
						$("#myspin").hide();
						$(".myspin_header header").hide();
					 },
					error:function(){
							
							//提示
							  layer.open({
								content: '网络异常！'
								,skin: 'msg'
								,time: 2 //2秒后自动关闭
							  });
					}
				});
			}
		}else if(act=="forget"){
		
			checkPhone($("#mobile-input-f").val());
			
			if(submitState){
				checkPass($("#pass-input-f").val());
			}
			
			if(submitState){
				checkCode($("#code-input-f").val());
			}
			
			if(submitState){
				
				var data = [];
				data['u'] = $("#mobile-input-f").val();
				data['p'] = $("#pass-input-f").val();
				
				var encrypt = new JSEncrypt();
				encrypt.setPublicKey(randomKey);
				// ajax请求发送的数据对象
				var sendData = new Object();
				sendData["act"]=$(this).attr("data-act");
				sendData['code'] = $("#code-input-f").val();
				
				if(typeof($.LS.get('wxtoken'))!="undefined"){
					sendData['wxtoken'] = $.LS.get('wxtoken');
				}
				
				sendData['timestamp'] =(new Date()).getTime();
				// 将data数组赋给ajax对象
				for (var key in data) {
					sendData[key] = encodeURI(encrypt.encrypt(data[key])).replace(/\+/g, '%2B');////+号的处理：因为数据在网络上传输时，非字母数字字符都将被替换成百分号（%）后跟两位十六进制数，而base64编码在传输到后端的时候，+会变成空格，因此先替换掉。后端再替换回来
				}
				
				
				//alert(JSON.stringify(sendData));
				//return false;
				
				$.ajax({
					url: ligonUrl,
					type: 'get',
					dataType: 'jsonp',
					jsonpCallback:"jsonpback",
					async: true,
					data: sendData,
					beforeSend: function () {
						//异步请求时spinner出现  
						$("#myspin").text("");  
						var target = $("#myspin").get(0);  
						spinner.spin(target);//显示loading图标  
					},
					success:function(data){
						
						//alert(JSON.stringify(sendData));
						//alert(JSON.stringify(data));
	
						if (data.returnCode == '1') {
							
							//提示
							  layer.open({
								content: '密码更改成功！'
								,skin: 'msg'
								,time: 3 //2秒后自动关闭
							  });
							
							$.LS.set('token',data.token);
							$.LS.set('userinfo',JSON.stringify(data.userinfo));//保存为json格式字符串	

							//判断头标是否存在
							if(data.userinfo.headicon!=""){
								
								if( typeof window.parent.checkImage == 'function' ){
									window.parent.checkImage("icon.png",IconDomain+data.userinfo.headicon,true,true,"icon");
								}
							}
							
							//判断头部背景是否存在
							if(data.userinfo.headbackground!=""){
								
								//判断是否为系统图片
								if(data.userinfo.headbackground.indexOf("local://") >= 0 ) { 
								
									//本地存储记录
									$.LS.set("backcloth", "{\"filePath\":\""+data.userinfo.headbackground.replace('local://','')+"\",\"fileUrl\":\"\"}");
									
								}else{
									
									if( typeof window.parent.checkImage == 'function' ){
										window.parent.checkImage("backcloth.png",IconDomain+data.userinfo.headbackground,true,true,"backcloth");
									}
								}
							}
							
							if(typeof($.LS.get('wxtoken'))!="undefined"){
								$.LS.remove("wxtoken");//移除wxtoken缓存
							}
							
							setTimeout(function () { 
							
								window.parent.PageBack("pt-page-moveFromTop");//关闭页面
								window.parent.LoginStateAct(1);//触发父页面方法
							
							}, 500);
							
						}else if(data.returnCode == '0') {
							
							//提示
							  layer.open({
								content: '账号或密码输入有误！'
								,skin: 'msg'
								,time: 2 //2秒后自动关闭
							  });
							  
							return false;
							
						}else if(data.returnCode == '-2') {
							
							//提示
							  layer.open({
								content: '异常操作！'
								,skin: 'msg'
								,time: 2 //2秒后自动关闭
							  });
							  
							return false;
						}else if(data.returnCode == '-3') {
							
							//提示
							  layer.open({
								content: '该手机号码未注册！'
								,skin: 'msg'
								,time: 2 //2秒后自动关闭
							  });
							  
							return false;
						}else if(data.returnCode == '-4') {
							
							//提示
							  layer.open({
								content: '验证码有误！'
								,skin: 'msg'
								,time: 2 //2秒后自动关闭
							  });
							  
							return false;
						}else{
							
							//提示
							  layer.open({
								content: '网络异常！'
								,skin: 'msg'
								,time: 2 //2秒后自动关闭
							  });
							  

							return false;
						}
					},
					complete: function () {
						//关闭spinner  
						spinner.spin();
						$("#myspin").hide();
						$(".myspin_header header").hide();
					 },
					error:function(){
							
							//提示
							  layer.open({
								content: '网络异常！'
								,skin: 'msg'
								,time: 2 //2秒后自动关闭
							  });
					}
				});
			}
		}
	})
})

//页面板块初始化
function pagePlateIniti(S){
	$(S).find("ul li").hide();
	$(S + " .li-initi").show();
}

//手机验证码发送事件
function smsSend(e){
	
	//获取区域对象
	var obj=e.parents("section");
	var mobile;
	
	if(obj.attr("id")=="reg"){
		
		//验证手机号
		var mobile=(obj.find("#mobile-input-r").val());
		checkPhone(mobile);
		
	}else if(obj.attr("id")=="forget"){
	
		//验证手机号
		var mobile=(obj.find("#mobile-input-f").val());
		checkPhone(mobile);
	}
	
	//是否符合验证要求
	if(!submitState){
		return false;
	}
	
	//alert(obj.attr("id"));

	//隐藏验证滑块
	setTimeout(function () {
		if(obj.attr("id")=="reg"){
			$("#slider1").fadeOut();
		}else if(obj.attr("id")=="forget"){
			$("#slider2").fadeOut();
		}
	}, 500)
	
	setTimeout(function () {
		
		//展开所有元素
		obj.find("ul").find("li").siblings().fadeIn();
		
	}, 800)
	
	//隐藏短信发送按钮
	//obj.find(".button-sms-send").parent().hide();
	
	//开始计时
	var countdown = 60;
	var oTime = obj.find(".time");
	oTime.unbind("click");
	settime(oTime,countdown);
	oTime.removeClass("hide");
	
	// ajax请求发送的数据对象
	var sendData = new Object();
	sendData["phone"]=mobile;
	sendData['timestamp'] =(new Date()).getTime();
	
	//请求验证码
	$.ajax({
		url: verifyUrl,
		type: 'get',
		data:sendData,
		dataType: 'jsonp',
		jsonpCallback:"jsonpback",
		success:function(data){
			
			//alert(JSON.stringify(data));
			
			
			setTimeout(function () {
			
				if (data.result == '0') {
					
					//发送成功
								
					//提示
					  layer.open({
						content: '短信已发送，请查收！'
						,skin: 'msg'
						,time: 3 //2秒后自动关闭
					  });
					  
				}else if (data.result == '-1') {
					
					//提示
					  layer.open({
						content: '手机号码有误！'
						,skin: 'msg'
						,time: 2 //2秒后自动关闭
					  });
					  
				}else{
					
					//提示
					  layer.open({
						content: '网络拥堵，请稍候再试！'
						,skin: 'msg'
						,time: 2 //2秒后自动关闭
					  });
				}
			
			}, 500)
		},
		error:function(){
			
			setTimeout(function () {
				
				//提示
				  layer.open({
					content: '网络异常，请稍候再试！'
					,skin: 'msg'
					,time: 2 //2秒后自动关闭
				  });
			
			}, 500)
		}
	});

}

//发送验证码倒计时
function settime(obj,countdown) { 

	if (countdown == 0) {
		obj.html("重新发送验证码");
		
		//绑定发送短信事件
		obj.unbind("click").on("click",function(){
			smsSend(obj);
		});
		
		return;
	} else {
		obj.html(countdown + " s");
		countdown--;
	}
	
	setTimeout(function () {
		
		settime(obj,countdown);
		
	}, 1000)
	
}
	
//验证手机号码
function checkPhone(phone){
	
	submitState = false;
	
	if (phone == '') {
		
		  
		setTimeout(function () {

		//提示
		  layer.open({
			content: '请输入手机号！'
			,skin: 'msg'
			,time: 2 //2秒后自动关闭
		  });
		
		}, 500)
		  
		setTimeout(function () {
		  
			$(".labelTip").removeAttr("style");
			$(".labelTip").text("拖动滑块验证");
			slider1.reset();//初始化滑块验证插件
			slider1.init();
			slider2.reset();//初始化滑块验证插件
			slider2.init();
		
		}, 1000)
		
		return false;
	}
	
	//var param = /^1[34578]\d{9}$/;
	var param = /^(13[0-9]|14[5-9]|15[012356789]|166|17[0-8]|18[0-9]|19[8-9])[0-9]{8}$/;
	if (!param.test(phone)) {


		setTimeout(function () {
			
		//提示
		  layer.open({
			content: '手机号不合法，请重新输入！'
			,skin: 'msg'
			,time: 2 //2秒后自动关闭
		  });
		
		}, 500)
		  
		  
		setTimeout(function () {
			
			$(".labelTip").removeAttr("style");
			$(".labelTip").text("拖动滑块验证");
			slider1.reset();//初始化滑块验证插件
			slider1.init();
			slider2.reset();//初始化滑块验证插件
			slider2.init();
			
		}, 1000)
		  
		return false;
	}
	
	submitState = true;
}

//验证密码
function checkPass(pass){
	
	submitState = false;
	
	if (pass == '') {
		
		//提示
		  layer.open({
			content: '请输入密码！'
			,skin: 'msg'
			,time: 2 //2秒后自动关闭
		  });
		return false;
		
	}
	
	var param = /^[a-zA-Z0-9-]{6,20}$/;
	if (!param.test(pass)) {

		//提示
		  layer.open({
			content: '密码长度6到20位，只能是数字和字母！'
			,skin: 'msg'
			,time: 2 //2秒后自动关闭
		  });
		  
		return false;
	}
	
	submitState = true;
}

//验证短信验证码
function checkCode(code){
	
	submitState = false;
	
	if (code == '') {
		
		//提示
		  layer.open({
			content: '请输入验证码！'
			,skin: 'msg'
			,time: 2 //2秒后自动关闭
		  });
		return false;
		
	}
	
	submitState = true;
}
	