// JavaScript Document

var myDate = new Date();

//当天首次
var firstAct=true;
//if (typeof($.LS.get('time')) != "undefined"){
//	if($.LS.get('time')== myDate.toLocaleDateString()){
//		firstAct =false;
//	}
//}
				
//判断是否当天初次进入
if (typeof($.LS.get('time')) == "undefined"){
	
	firstAct =true;
										
	//每天只操作一次
	$.LS.set('time', myDate.toLocaleDateString());
	
}else{
	
	if($.LS.get('time')!= myDate.toLocaleDateString()){
		
		firstAct =true;
										
		//每天只操作一次
		$.LS.set('time', myDate.toLocaleDateString());
		
	}else{
		
		firstAct =false;
	}
}

//判断来路
var ref = '';   
if (document.referrer.length > 0) {    
	ref = document.referrer;
}

try {    
	if (ref.length == 0 && opener.location.href.length > 0) {     	
		ref = opener.location.href;    
	}
} catch (e) {} 


document.addEventListener('deviceready', function(){
	
	//获取地图信息
	baidumap_location.getCurrentPosition(function (r) {
		
		var latitude = r.latitude,
		longitude  = r.longitude;

		$.LS.set('coordinate',longitude+","+latitude);//获取当前经纬
		
		var url='https://api.map.baidu.com/geocoder/v2/?ak=hxPu8mqF7TkcVzrYWYNvTGDBpoIDW9bU&location=' + latitude + ',' + longitude + '&output=json&pois=1';
		
		//---------------------------------------------------
		$.ajax({
			url:url,
			dataType: 'json',
			success: function(res) {
				//console.log(res);
				var result = res.result,
				addressComponent = result.addressComponent,
				adcode = addressComponent.adcode,
				city=addressComponent.city,
				district=addressComponent.district;
				
				//当前城市编码
				$.LS.set('nowDistrictCode', adcode);
					
				//判断是否存储当前城市信息
				$.LS.set('nowCity',city);
				$.LS.set('nowDistrict',district);
				
				if (typeof($.LS.get('city')) == "undefined" || typeof($.LS.get('district')) == "undefined" || typeof($.LS.get('districtcode')) == "undefined"){
					$.LS.set('city', city);
					$.LS.set('district', district);
					$.LS.set('districtcode', adcode);
					
					$(".chooseLocality").html($.LS.get('city'));
				}
				
				if (firstAct){
				
					if($.LS.get('city')!=city || $.LS.get('district') !=district){

						//点击确定后操作
						$.confirm({
							title: '提示',
							content: '当前定位 '+addComp.city+'/'+addComp.district+' 是否切换?',
							confirmButton: ' 是 ',
							cancelButton: ' 否 ',
							theme: 'black',
							confirm: function () {
								//$.alert('Confirmed!');
								$.LS.set('city', city);
								$.LS.set('district', district);
								$.LS.set('districtcode', adcode);
								
								$(".chooseLocality").html($.LS.get('city'));
								
								//切换城市数据
								baseData(adcode);
								mescroll.triggerDownScroll();
							}
//									cancel: function () {
//										//$.alert('Canceled!');
//									}
						});
						
					}
					
				}
			}
		});
		//--------------------------------------------------------
		
	}, function (error) {
		console.error('baidumap_location is undefined');
	});
	
})
	
var loopInt=1;

//初始数据
$(function(){
	
//	//初始赋值
//	
//	//欢迎页
//	if (typeof($.LS.get('swiperresult')) != "undefined"){
//		$('.swiper-wrapper').html($.LS.get('swiperresult'));
//		AdShow($.LS.get('adid'));
//	}
//	
//	//头部广告
//	if (typeof($.LS.get('slideBox1result')) != "undefined"){
//		$('#slideBox1 ul').html($.LS.get('slideBox1result'));
//		touchSlide("#slideBox1");
//	}
//	
//	//导航栏
//	if (typeof($.LS.get('navigationresult')) != "undefined"){
//		$('#navigation').html($.LS.get('navigationresult'));
//	}
//	
//	//库巴关注
//	if (typeof($.LS.get('hotnewsresult')) != "undefined"){
//		$('#hotnews ul').html($.LS.get('hotnewsresult'));
//	}
//	
//	//中部广告
//	if (typeof($.LS.get('slideBox2result')) != "undefined"){
//		$('#slideBox2 ul').html($.LS.get('slideBox2result'));
//		touchSlide("#slideBox2");
//	}
//	
//	//热门活动
//	if (typeof($.LS.get('scrollBox1result')) != "undefined"){
//		$('#scrollBox1 ul').html($.LS.get('scrollBox1result'));
//		touchSlide("#scrollBox1");
//	}

	//判断所在城市编码
	if(typeof($.LS.get('districtcode')) == "undefined"){
		$.LS.set('districtcode', chooseLocalCode);
	}
	
	//加载远数据
	baseData($.LS.get('districtcode'));
				
})

function baseData(code){
	
	//var ajaxUrl="json/index-base.json";
	var ajaxUrl=ApiDomain+"/index/base/";
	
	var sendData = new Object();
	sendData['timestamp'] =(new Date()).getTime();
	sendData['code'] =code;
	
//	//初始进入
//	if (initAct){
//		sendData['init']=true;
//	}else{
//		sendData['init'] =false;
//	}
//	
//	//当天首次
//	if (firstAct){
//		
//		sendData['first'] =true;
//		
//	}else{
//		
//		sendData['first'] =false;
//		
//	}
	
	if(typeof($.LS.get('token'))!="undefined"){
		sendData['token'] = $.LS.get('token');
	}
	
	$.ajax({
		type: 'GET',
		url: ajaxUrl,
		data:sendData,
		dataType : "jsonp",
		jsonpCallback:"jsonpback",
		timeout:60000, 
		success: function(returndata){
			
			//alert(JSON.stringify(returndata));
			
			if(returndata.result=="ok"){
				
				//swiper
				if(returndata.swiper.length>0){
					swiperresult='';
					adid='0';
					showmode="0";
					for(var i = 0; i < returndata.swiper.length; i++){
						swiperresult +='<div class="swiper-slide"><a class="winOpener" href="javascript:void(0);" data-url="'+returndata.swiper[i].link+'"><img src="'+systemDomain+returndata.swiper[i].imagespath+'"></a></div>';
						adid+="-"+returndata.swiper[i].advid;
						showmode=returndata.swiper[i].showmode;
					}
					
					if(showmode=="3"){
						
						$('.swiper-wrapper').html(swiperresult);
						initShow(adid,false,false,false);
						
					}else{
						
						if(ref==""){
						
							if(showmode=="1"){
								
								if(!initAct){
									$('.swiper-wrapper').html(swiperresult);
									initShow(adid,true,true,true);
								}
								
							}else if(showmode=="2"){
								
								if(!initAct){
									$('.swiper-wrapper').html(swiperresult);
									initShow(adid,true,true,true);
								}
								
							}else{
								
								if(!initAct){
									$('.swiper-wrapper').html(swiperresult);
									initShow(adid,false,true,true);
								}
							}
							
						}
						
					}
//				
//					if (typeof($.LS.get('swiperresult')) == "undefined"){
//						$.LS.set('swiperresult',swiperresult);
//						$.LS.set('adid',adid);
//						$('.swiper-wrapper').html(swiperresult);
//						initShow(adid);
//					}else{
//						if($.LS.get('swiperresult') != swiperresult){
//							$.LS.set('swiperresult',swiperresult);
//							$.LS.set('adid',adid);
//						}
//					}
				}
					
				
				//layer
								
				if(ref==""){

					if(!$.isEmptyObject(returndata.layer)){
						
						layerAdv(returndata.layer.link,returndata.layer.imagespath);
						
						$(".layui-m-layer").hide();
						
						showmode=returndata.layer.showmode;
							
						if(showmode=="1"){
								
							if(firstAct){
						
								if($(".swiper-container").css("display")=="none"){
									
									$(".layui-m-layer").show();
									
								}
								
							}
							
						}else if(showmode=="2"){
							
							if(initAct){
						
								if($(".swiper-container").css("display")=="none"){
									
									$(".layui-m-layer").show();
									
								}
							}
							
						}else{
							
							if($(".swiper-container").css("display")=="none"){
									
								$(".layui-m-layer").show();
								
							}
						}
						
					}
				}
				
			
				//notifytip
				var notifytip;
				if (typeof($.LS.get('notifytip')) == "undefined"){
					notifytip={isnotice:false,lastnotify:[{typeid:0,id:0,isnotice:false},{typeid:1,id:0,isnotice:false}]};
				}else{
					notifytip=JSON.parse($.LS.get('notifytip'));
				}
				
				if(!$.isEmptyObject(returndata.notifylist)){
					
					for(var i = 0; i < returndata.notifylist.length; i++){
				
						if(notifytip["lastnotify"][returndata.notifylist[i].typeid]["id"]!=returndata.notifylist[i].id){
							if(returndata.notifylist[i].id!="0"){
								notifytip["lastnotify"][returndata.notifylist[i].typeid]["isnotice"]=true;
							}else{
								notifytip["lastnotify"][returndata.notifylist[i].typeid]["isnotice"]=false;
								}
						}
					}
					
					if(notifytip["lastnotify"][0]["isnotice"]==false && notifytip["lastnotify"][1]["isnotice"]==false){
						notifytip["isnotice"]=false;
						$(".red-point").hide();
					}else{
						notifytip["isnotice"]=true;
						$(".red-point").show();
					}
					
					//缓存数据
					$.LS.set('notifytip',JSON.stringify(notifytip));
				
				}
				
				//alert($.LS.get('notifytip'));
				
			
				//sideBox1
				slideBox1result='';
				for(var i = 0; i < returndata.slideBox1.length; i++){
					slideBox1result += '<li><a class="pic winOpener" href="javascript:void(0);" data-url="'+returndata.slideBox1[i].link+'"><img src="'+systemDomain+returndata.slideBox1[i].imagespath+'" /></a></li>';
				}
				// 为了测试，延迟1秒加载
				//setTimeout(function(){
				//$('#slideBox1 ul').html(slideBox1result);
				//},1000);
				
				if (typeof($.LS.get('slideBox1result')) == "undefined"){
					
					if(slideBox1result!=''){
						$.LS.set('slideBox1result',slideBox1result);
						$('#slideBox1 ul').html($.LS.get('slideBox1result'));
						touchSlide("#slideBox1");
					}
					
				}else{
					if ($.LS.get('slideBox1result') != slideBox1result){
						$.LS.set('slideBox1result',slideBox1result);
					}
				}
				
				
				//navigation
				navigationresult='';
				
				for(var i = 0; i < returndata.navigation.length; i++){
					navigationresult += '<li><a class="pic winOpener" href="javascript:void(0);" data-url="'+returndata.navigation[i].link+'"><i style="background:'+returndata.navigation[i].background+'">';
					if(returndata.navigation[i].iconimage != ""){
						
						//判断是否为系统图片
						var iconimage;
						if(returndata.navigation[i].iconimage.indexOf("local://") >= 0 ) { 
							iconimage=returndata.navigation[i].iconimage.replace('local://','')
						}else{
							iconimage=systemDomain+returndata.navigation[i].iconimage;
						}
						
						navigationresult += '<img src="'+iconimage+'" />';
					}else{
						navigationresult += '<i class="'+returndata.navigation[i].IconFont+'" aria-hidden="true"></i> />';
					}
					navigationresult += '</i><p>'+returndata.navigation[i].title+'</p></a></li>';
				}
				//$('#navigation').html(navigationresult);
				if (typeof($.LS.get('navigationresult')) == "undefined"){
					$.LS.set('navigationresult',navigationresult);
					$('#navigation').html(navigationresult);
				}else{
					if($.LS.get('navigationresult') != navigationresult){
						$.LS.set('navigationresult',navigationresult);
						$('#navigation').html(navigationresult);
					}
				}
				
				//hotnews
				hotnewsresult='';
				for(var i = 0; i < returndata.hotnews.length; i++){
					hotnewsresult += '<li><a class="pic winOpener" href="javascript:void(0);" data-url="'+returndata.hotnews[i].link+'">'+returndata.hotnews[i].title+'</a></li>';
				}
				//$('#hotnews ul').html(hotnewsresult);
				if (typeof($.LS.get('hotnewsresult')) == "undefined"){
					$.LS.set('hotnewsresult',hotnewsresult);
					$('#hotnews ul').html(hotnewsresult);
				}else{
					if($.LS.get('hotnewsresult') != hotnewsresult){
						$.LS.set('hotnewsresult',hotnewsresult);
						$('#hotnews ul').html(hotnewsresult);
					}
				}
			
				//sideBox2
				slideBox2result='';
				for(var i = 0; i < returndata.slideBox2.length; i++){
					slideBox2result += '<li><a class="pic winOpener" href="javascript:void(0);" data-url="'+returndata.slideBox2[i].link+'"><img src="'+systemDomain+returndata.slideBox2[i].imagespath+'" /></a></li>';
				}
				//$('#slideBox2 ul').html(slideBox2result);
				if (typeof($.LS.get('slideBox2result')) == "undefined"){
					
					if(slideBox2result!=''){
						$.LS.set('slideBox2result',slideBox2result);
					}
				}else{
					if($.LS.get('slideBox2result') != slideBox2result){
						$.LS.set('slideBox2result',slideBox2result);
					}
				}
				//显示sideBox2
				if(returndata.slideBox2.length>0){
					$('#slideBox2').parent().show();
					$('#slideBox2 ul').html(slideBox2result);
					touchSlide("#slideBox2",100,25000);
				}else{
					$('#slideBox2').parent().hide();
				}
				
				//scrollBox1
				scrollBox1result='';
				for(var i = 0; i < returndata.scrollBox1.length; i++){
					scrollBox1result += '<li class="hiSlider-item"><a class="pic winOpener" href="javascript:void(0);" data-url="'+returndata.scrollBox1[i].link+'"><div class="countdown"><h4>限时特惠</h4><div class="timespan" data-time="'+returndata.scrollBox1[i].endtime+'">距离结束 <span class="days">00</span>天<span class="hours">00</span>时<span class="minutes">00</span>分<span class="seconds">00</span>秒</div></div><div class="promotionImg"><img src="'+PhotoDomain+returndata.scrollBox1[i].pic+'"></div><div class="promotionWord"><p>'+returndata.scrollBox1[i].title+'</p><h5>￥'+returndata.scrollBox1[i].bargainprice+'</h5><h6>￥'+returndata.scrollBox1[i].price+'</h6><i>仅限'+returndata.scrollBox1[i].quantity+'个</i></div></a></li>';

				}
				//$('#scrollBox1 ul').html(scrollBox1result);
				if (typeof($.LS.get('scrollBox1result')) == "undefined"){
					if(scrollBox1result!=''){
						$.LS.set('scrollBox1result',scrollBox1result);
					}
				}else{
					if($.LS.get('scrollBox1result') != scrollBox1result){
						$.LS.set('scrollBox1result',scrollBox1result);
					}
				}
				//显示scrollBox1
				if(returndata.scrollBox1.length>0){
					$('#scrollBox1').parent().show();
					$('#scrollBox1 ul').html(scrollBox1result);
					touchSlide("#scrollBox1",1000,10000);
				}else{
					$('#scrollBox1').parent().hide();
				}
				
				
				//loginscreen
				if(returndata.loginscreen!=""){
					
					if (typeof($.LS.get('loginbgimg')) != "undefined"){
						
						//当前记录信息/转化为json对象
						var loginbgimg=JSON.parse($.LS.get('loginbgimg'));
						
						//判断和远程记录是否一致
						if(loginbgimg.remoteUrl!=returndata.loginscreen){
							loginbgimg.remoteUrl=returndata.loginscreen
							
							$.LS.set('loginbgimg',JSON.stringify(loginbgimg));//保存为json格式字符串
								
						}
						
					}else{
						
						$.LS.set('loginbgimg', "{\"filePath\":\"\",\"fileUrl\":\"\",\"remoteUrl\":\""+returndata.loginscreen+"\"}");
						
					}
				}
				
				
				//domainlist
				if (typeof($.LS.get('domainlist')) == "undefined"){
					notifytip={isnotice:false,lastnotify:[{typeid:0,id:0,isnotice:false},{typeid:1,id:0,isnotice:false}]};
				}else{
					notifytip=JSON.parse($.LS.get('notifytip'));
				}
				
				if(!$.isEmptyObject(returndata.domainlist)){
					
					if(returndata.domainlist.length>0){
						
						if (typeof($.LS.get('domainlist')) == "undefined"){
						
							if (JSON.stringify(returndata.domainlist)!=$.LS.get('domainlist')){
	
								//缓存数据
								$.LS.set('domainlist',JSON.stringify(returndata.domainlist));
								
							}
							
						}else{
							
							//缓存数据
							$.LS.set('domainlist',JSON.stringify(returndata.domainlist));
							
						}
					}
				
				}
				
				
				//基础操作
				baseAction();
				
				//执行完毕再进行下一步数据加载操作
				mescroll.triggerUpScroll();
				
			}else{

				//提示
				  layer.open({
					content: '网络异常！'
					,skin: 'msg'
					,time: 2 //2秒后自动关闭
				  });
				
				return false;
				
			}
				
		},
		error: function(xhr, type){
			//alert('Ajax error!');
			
			if(loopInt<5){
				
				loopInt++;
			
				baseData(code);
				
			}else{

				//提示
				  layer.open({
					content: '网络异常！'
					,skin: 'msg'
					,time: 2 //2秒后自动关闭
				  });
				
				return false;
				
			}
		}
	});
}