// JavaScript Document

//初始数据
$(function(){
// 加载数据

	//alert(parseParams(getData));
	
	if(loginState){
		ajaxData();
	}
				
})

function ajaxData(){

	//获取参数
	getData['timestamp'] =(new Date()).getTime();

	var ajaxUrl=ApiDomain+"/order/details/";
	
	$.ajax({
		type: 'get',
		url: ajaxUrl,
		data:getData,
		dataType : "jsonp",
		jsonpCallback:"jsonpback",
		success: function(data){
			
			if(data.result=="ok"){
				
				//课程信息
                var courseinfo='<a class="winOpener" href="javascript:void(0);" data-url="'+data.orderinfo.courselink+'">\
									<img src="'+PhotoDomain+data.orderinfo.mastergraph+'">\
									<h4>\
										'+data.orderinfo.coursename;
					if(data.orderinfo.bargainprice>0){		
						courseinfo+=        '<p><span><s>￥'+data.orderinfo.price+'</s>　￥'+data.orderinfo.bargainprice+'</span>'+data.orderinfo.times+data.orderinfo.units+'</p>';
					}else{		
						courseinfo+=        '<p><span>￥'+data.orderinfo.price+'</span>'+data.orderinfo.times+data.orderinfo.units+'</p>';
					}
					
					courseinfo+=   '</h4>\
									<div class="clear"></div>\
								</a>';
				$("#courseinfo").html(courseinfo);
				
				$("#orderid span").html(data.orderinfo.orderid);
				$("#ordertime span").html(data.orderinfo.ordertime);
				
				
				//预约时间
				var coursetime = data.orderinfo.coursetime.split(',');
				
				for(var i=0;i<coursetime.length;i++){
					$("#coursetime").prepend("<aside>"+coursetime[i]+"</aside>");
				}
				
				//学生信息
				$("#student label").html(data.studentinfo.name);
				$("#mobile label").html(data.studentinfo.phone);
				$("#remarks label").html(data.orderinfo.remarks);
				
				//支付信息
				if(data.orderinfo.ordermethod==1){
					$("#ordermethod span").html("支付宝");
				}else if(data.orderinfo.ordermethod==2){
					$("#ordermethod span").html("微信");
				}else{
					$("#ordermethod span").html("第三方支付");
				}
				
				if(data.orderinfo.bargainprice>0){
					$("#price span").html("<s>￥"+data.orderinfo.price+"</s>");
					$("#bargainprice").show();
					$("#bargainprice span").html("￥"+data.orderinfo.bargainprice);
				}else{
					$("#price span").html("￥"+data.orderinfo.price);
					$("#bargainprice").hide();
					$("#bargainprice span").html("￥"+data.orderinfo.bargainprice);
				}
					$("#coupon span").html("￥"+data.orderinfo.coupon);
					$("#total span").html("￥"+data.orderinfo.paid);
				
	
				//右边滑入页面
				$(".winOpener").unbind("click").on("click",function(){
					var openerUrl=$(this).attr("data-url");
					PageLoad("pt-page-moveToLeft",openerUrl);
				})
			
			}else{
				
				//提示
				  layer.open({
					content: '数据异常！'
					,skin: 'msg'
					,time: 2 //2秒后自动关闭
				  });
				
				setTimeout(function(){
					window.parent.PageBack("pt-page-moveFromLeft");
				},500)
				
				return false;
				
			}
				
		},
		error: function(xhr, type){
			//alert('Ajax error!');

			//提示
			  layer.open({
				content: '网络异常！'
				,skin: 'msg'
				,time: 2 //2秒后自动关闭
			  });
			  
			
			setTimeout(function(){
				window.parent.PageBack("pt-page-moveFromLeft");
			},500)
			
			return false;
		}
	});
}