// JavaScript Document

//初始数据
$(function(){
// 加载数据

	getData['act'] = "repay";
	
	if(loginState){
		ajaxData();
	}
				
})

function ajaxData(){

	var ajaxUrl=ApiDomain+"/order/pay/";
	
	$.ajax({
		type: 'POST',
		url: ajaxUrl,
		data:getData,
		dataType : "jsonp",
		jsonpCallback:"jsonpback",
		success: function(data){
			
				//alert(JSON.stringify(data));
				
				if(data.act=="repay"){
					
					if(data.result=="ok"){
					
						if(data.userid==""){
							
							var openerUrl="Login.html";
							var openerAnimation="pt-page-moveToTop";
							PageLoad(openerAnimation,openerUrl);
		
							return;
							  
						}
						
						
						$("#orderid span").html(data.orderinfo.orderid);
						$("#ordertime span").html(data.orderinfo.ordertime);
						$("#totalsum span").html(data.orderinfo.totalsum+"元");
						
						
						if(data.orderinfo.bargainprice!="0"){
							$(".price span").html("<s>￥"+data.orderinfo.price+"</s>");
							$(".bargainprice").show();
							$(".bargainprice span").html("￥"+data.orderinfo.bargainprice);
						}else{
							$(".price span").html("￥"+data.orderinfo.price);
							$(".bargainprice").hide();
							$(".bargainprice span").html("￥"+data.orderinfo.bargainprice);
						}
							$(".coupon span").html("￥"+data.orderinfo.coupon);
							$(".total span").html("￥"+data.orderinfo.totalsum);
							
						
						if(data.orderinfo.coursestatus!="True"){
							
							getData['act'] = "cancel";
							getData['status']="false";
							ajaxData();
							
							//提示
							layer.open({
								content: '该项目已售完或下架！'
								,skin: 'msg'
								,time: 1 //1秒后自动关闭
							});
									
							setTimeout(function () {
								window.parent.PageBack("pt-page-moveFromLeft");//返回上一页
							}, 1000);
							
							return;
						}
						
						
						if(data.orderinfo.salesid!="" && data.orderinfo.salesstatus!="True"){
							
							getData['act'] = "update";
							getData['status']="false";
							ajaxData();
							
							//提示
							layer.open({
								content: '该活动已结束或下架！'
								,skin: 'msg'
								,time: 1 //1秒后自动关闭
							});
									
							setTimeout(function () {
								window.parent.PageBack("pt-page-moveFromLeft");//返回上一页
							}, 1000);
							
							return;
						}
						
						if(Number(data.orderinfo.coupon)>0 && data.orderinfo.couponstatus!="True"){

							getData['act'] = "cancel";
							getData['status']="false";
							ajaxData();
							
							//提示
							layer.open({
								content: '该红包已使用或失效！'
								,skin: 'msg'
								,time: 1 //1秒后自动关闭
							});
									
							setTimeout(function () {
								window.parent.PageBack("pt-page-moveFromLeft");//返回上一页
							}, 1000);
							
							return;
						}
						
						if(data.orderinfo.paymethod=="2"){
							$("input[name='paymethod']").eq(1).next().click();
						}
						
						getData['orderid'] = data.orderinfo.orderid;
						getData['ordertime'] = data.orderinfo.ordertime;
						getData['price'] = data.orderinfo.price;
						getData['bargainprice'] = data.orderinfo.bargainprice;
						getData['couponid'] = data.orderinfo.couponid;
						getData['coupon'] = data.orderinfo.coupon;
						getData['totalsum'] = data.orderinfo.totalsum;
						getData['cid'] = data.orderinfo.courseid;
						getData['tpid'] = data.orderinfo.typeid;
						getData['prid'] = data.orderinfo.priceid;
						getData['said'] = data.orderinfo.salesid;
						getData['enc'] = data.orderinfo.enc;
						getData['finalenc'] = data.finalenc;
						
						//激活提交按钮
						$(".button").addClass("button-highlight");
						SubmitState=true;
					
					}else{
						
						//提示
						  layer.open({
							content: '数据异常！'
							,skin: 'msg'
							,time: 2 //2秒后自动关闭
						  });
//						
//						setTimeout(function () {
//							top.location.reload();
//						}, 500);
						
						return false;
						
					}
					
				
				}else if(data.act=="prepaid"){
					
					//alert(JSON.stringify(data.prepaidrsult));

					if(getData['paymethod']==1){
						
						window.top.alipay(data.prepaidrsult);
						
					}else if(getData['paymethod']==2){
						
						window.top.wechat("pay",JSON.stringify(data.prepaidrsult));
						
					}
					
				}else if(data.act=="update"){
					
					if(data.result=="ok"){
						
						//提示
						  layer.open({
							content: '支付成功！'
							,skin: 'msg'
							,time: 1 //2秒后自动关闭
						  });
						
						setTimeout(function () {
							window.parent.triggerMescroll(-1);//更新当前列表
							window.parent.PageBack("pt-page-moveFromLeft");//返回上一页
						}, 1000);
						
					}else{
						
						//提示
						  layer.open({
							content: '网络异常！'
							,skin: 'msg'
							,time: 2 //2秒后自动关闭
						  });
						
					}
					
				}else{
						
					//提示
					  layer.open({
						content: '网络异常！'
						,skin: 'msg'
						,time: 2 //2秒后自动关闭
					  });
				}
				
		},
		error: function(xhr, type){
			//alert('Ajax error!');

			//提示
			  layer.open({
				content: '网络异常！'
				,skin: 'msg'
				,time: 2 //2秒后自动关闭
			  });
			
			return false;
		}
	});
}


//提交确认
function orderConfirm(s){
	
	if(s=="ok"){
	
		if(SubmitState){
			
			getData['act'] = "update";
			ajaxData();
			
		}
		
	}else{

		//失败提示
		layer.open({
			//content: '支付失败：'+s+'！'
			content: s
			,skin: 'msg'
			,time: 2 //2秒后自动关闭
		});
	}
}