// JavaScript Document

//-----------------------------------------------阿里支付 start---------------------------------------------
function alipay(payInfo){
		
//	//e.resultStatus  状态代码  e.result  本次操作返回的结果数据 e.memo 提示信息
//	//e.resultStatus  9000  订单支付成功 ;8000 正在处理中  调用function success
//	//e.resultStatus  4000  订单支付失败 ;6001  用户中途取消 ;6002 网络连接出错  调用function error
//	//当e.resultStatus为9000时，请去服务端验证支付结果
//	/**
//	* 同步返回的结果必须放置到服务端进行验证（验证的规则请看https://doc.open.alipay.com/doc2/
//	* detail.htm?spm=0.0.0.0.xdvAU6&treeId=59&articleId=103665&
//	* docType=1) 建议商户依赖异步通知
//	*/

	cordova.plugins.alipay.payment(payInfo,function success(e){
		// 支付成功
	  	IframeFind($(document),null,"pay","ok");
	
	},function error(error){
		// 支付失败
		console.log("支付失败" + error.resultStatus);
		IframeFind($(document),null,"pay","支付失败" + error.resultStatus);
	});
}

//-----------------------------------------------微信登录/支付 start---------------------------------------------
function wechat(s,para){
	
	//cordova-plugin-holdskill-wechat
	
	console.log('Device is Ready!'); 

	//检测微信是否安装
	Wechat.isInstalled(function(installed) {
		console.log('Wechat installed='+installed);
		
		if(s=="login"){
			
			//微信登录
			wechatlogin();
			
		}else if(s=="pay"){
			
			//微信支付
			wechatpay(para);
			
		}else if(s=="share"){
		
			//微信分享
			//para为json格式
			wechatshare(para);
		}
		
	}, function(reason) {
		console.log(reason);
	});
}

function wechatlogin(){//微信登录
	
	var scope = "snsapi_userinfo",
		state = "_" + (+new Date());
		
	Wechat.auth(scope, state, function (response) {
		// you may use response.code to get the access token.
		//alert(JSON.stringify(response));
		//
		
		var sendData = new Object();
		//定义参数
		sendData['act'] = "auth";
		sendData['code'] = response.code;
		sendData['grant_type'] = "authorization_code";
		sendData['timestamp'] =(new Date()).getTime();
		
		var ajaxUrl=ApiDomain+"user/wechat/";
		
		$.ajax({
			type: 'GET',
			url: ajaxUrl,
			data:sendData,
			dataType : "jsonp",
			jsonpCallback:"jsonpback",
//				beforeSend:function () {
//					//ajax处理之前出现spin图标  
//					//异步请求时spinner出现  
//					$("#myspin").text("");  
//					var target = $("#myspin").get(0);  
//					spinner.spin(target);//显示loading图标  
//				}, 
			success: function(data){
				
				//alert(JSON.stringify(data));

				if (data.returnCode == '1') {
					
					$.LS.set('token',data.token);
					$.LS.set('userinfo',JSON.stringify(data.userinfo));//保存为json格式字符串
					
					//判断头标是否存在
					if(data.userinfo.headicon!=""){
						checkImage("icon.png",IconDomain+data.userinfo.headicon,true,true,"icon");
					}
					//判断头部背景是否存在
					if(data.userinfo.headbackground!=""){
						
						//alert(data.userinfo.headbackground);
								
						//判断是否为系统图片
						if(data.userinfo.headbackground.indexOf("local://") >= 0 ) { 
						
							//本地存储记录
							$.LS.set("backcloth", "{\"filePath\":\""+data.userinfo.headbackground.replace('local://','')+"\",\"fileUrl\":\"\"}");
							
						}else{
							checkImage("backcloth.png",IconDomain+data.userinfo.headbackground,true,true,"backcloth");
						}
						
						
						
						//alert($.LS.get("backcloth"));
						
					}
					
					IframeFind($(document),null,"login",1);
					//window.PageBack("pt-page-moveFromTop");//关闭页面
					//LoginStateAct(1);//触发父页面方法
					
				}else if(data.returnCode == '0') {
					
					$.LS.set('wxtoken',data.userinfo.wxtoken);
					
//					//提示
//					  layer.open({
//						content: '微信账号尚未绑定！'
//						,skin: 'msg'
//						,time: 1 //2秒后自动关闭
//					  });
					  
					IframeFind($(document),null,"layer","微信账号尚未绑定！");
					  
					setTimeout(function () { 
						IframeFind($(document),null,"bind",null);
					}, 1000); 
					  
					return false;
					
				}else{
					
//					//提示
//					  layer.open({
//						content: '微信账号或对应账号异常！'
//						,skin: 'msg'
//						,time: 1 //2秒后自动关闭
//					  });
//					  
					IframeFind($(document),null,"layer","微信账号或对应账号异常！");
					  
					return false;
				}
				
			},
//				complete: function () {
//					//关闭spinner  
//					spinner.spin();
//					$("#myspin").hide();
//				 },
			error: function(xhr, type){
				//alert('Ajax error!');
				
				IframeFind($(document),null,"layer","网络异常！");
	
//				//提示
//				  layer.open({
//					content: '网络异常！'
//					,skin: 'msg'
//					,time: 2 //2秒后自动关闭
//				  });
			}
		});
		
	}, function (reason) {
			//alert("Failed: " + reason);
			//console.log("Failed: " + reason);
			
			IframeFind($(document),null,"layer","网络异常！");
	
//			//提示
//			  layer.open({
//				content: '网络异常！'
//				,skin: 'msg'
//				,time: 2 //2秒后自动关闭
//			  });
	});
}

function wechatpay(para){//微信支付
	
//		var params = {
//			partnerid: '1517851611', // merchant id
//			prepayid: 'wx201411101639507cbf6ffd8b0779950874', // prepay id
//			noncestr: '1add1a30ac87aa2db72f57a2375d8fec', // nonce
//			timestamp: '1541121544', // timestamp
//			sign: '0CB01533B8C1EF103065174F50BCA001', // signed string
//		};


	var params = JSON.parse(para);
	
	//alert(para);
	 
	Wechat.sendPaymentRequest(params, function () {
		//alert("Success");
		IframeFind($(document),null,"pay","ok");
		
	}, function (reason) {
		//alert("Failed: " + reason);
		
		IframeFind($(document),null,"pay",reason+"！");

	});
	
}

function wechatshare(paraJson){//微信分享

	//scene:0代表的是分享到朋友，0/1/2分别是朋友、朋友圈、个人收藏、也可以用 Wechat.Scene.TIMELINE、Wechat.Scene.SESSION、Wechat.Scene.FAVORITE
	
	//取json格式值
	//var paraJson=JSON.parse(para);
	
	//alert(JSON.stringify(para));
	
	if(typeof(paraJson.type)=="undefined"){
	
		Wechat.share(
		{
			message: {
				title: paraJson.title,
				description: paraJson.description,
				thumb: paraJson.thumb,
				media: {
					type: Wechat.Type.WEBPAGE,
					webpageUrl:paraJson.webpageUrl
				}
			},
			scene: paraJson.scene   // share to Timeline
	
		}, function () {
			
			IframeFind($(document),null,"complete","分享成功！");
			
		}, function (reason) {
			
			IframeFind($(document),null,"layer","分享失败！");
			//IframeFind($(document),null,"layer",reason);
			
		});
		
	}else{
		
		if(paraJson.type=="media"){
		
			Wechat.share(
			{
				message: {
					title: paraJson.title,
					description: paraJson.description,
					thumb: paraJson.thumb,
					media: {
						type: Wechat.Type.IMAGE,
						image:paraJson.thumb
					}
				},
				scene: paraJson.scene   // share to Timeline
		
			}, function () {
				
				IframeFind($(document),null,"complete","分享成功！");
				
			}, function (reason) {
				
				IframeFind($(document),null,"layer","分享失败！");
				//IframeFind($(document),null,"layer",reason);
				
			});
		}
		
	}
}

//保存图片到本地
function saveImageLocal(imgUrl) {
	
	cordova.plugins.photoLibrary.requestAuthorization(function () {
		cordova.plugins.photoLibrary.getLibrary(function () { 
			cordova.plugins.photoLibrary.saveImage(imgUrl, "库巴巴", function () {
			
				//保存成功
				IframeFind($(document),null,"layer","已保存到相册！");
				
			}, function (err) {
				
				//保存失败
				IframeFind($(document),null,"layer","保存失败！");
				
			})
		},function (err) {
			if (err.startsWith('Permission')) {
			// call requestAuthorization, and retry 
			}
			// Handle error - it's not permission-related 

			//失败
			IframeFind($(document),null,"layer","权限"+err);
			
		})
	},function (err) {
            // User denied the access 

			//失败
			IframeFind($(document),null,"layer","用户拒绝访问"+err);
			
    }, // if options not provided, defaults to {read: true}. 
	{
		read: true,
		write: true
	});
}


//查询最底层iframe//obj页面对象；element元素对象；act：操作；info：内容
function IframeFind(obj,element,act,info){
	
	if(obj==null){
		obj=$(document);
	}
	
	var ifrobj=obj.contents().find('iframe');
	
	if(ifrobj.length > 0) {
	
		if (typeof(ifrobj.attr("src")) != "undefined"){
			
			if (ifrobj.attr("src") != ""){
				
				IframeFind(ifrobj,element,act,info);
				
			}else{
				IframeAct(obj,element,act,info);
			}
			
		}else{
			IframeAct(obj,element,act,info);
		}
		
	}else{
		
		var eleobj=null;
		
		if(element!=null){
			eleobj=obj.contents().find(element);
		}
		
		IframeAct(obj,eleobj,act,info);
	}
}	


//操作最底层iframe元素/绑定微信
function IframeAct(obj,element,act,info){
	
	//alert(obj.contents().attr("title"));
	
	//obj:最终获得到的底层页面对象；act：bind绑定微信；pay微信支付
	
	if(act=="bind"){
	
		//触发微信账号绑定
		obj[0].contentWindow.divPageShow("#bind");
	
	}else if(act=="pay"){
	
		//触发微信账号绑定
		obj[0].contentWindow.orderConfirm(info);
	
	}else if(act=="layer"){
		
		//弹出提示框
		obj[0].contentWindow.layerAlert(info);
		
	}else if(act=="login"){
		
		//弹出提示框
		obj[0].contentWindow.LoginStateAct(info);
		
	}else if(act=="html"){
		
		//输出html
		obj[0].contentWindow.objHtml(element,info);
		
	}else if(act=="spin"){
		
		//显示loainding
		obj[0].contentWindow.loadingSpin(info);
		
	}else{
		//触发完成操作事件
		obj[0].contentWindow.completeAct(act,info);
	}
}
//-----------------------------------------------微信登录/支付end----------------------------------------------